#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <bits/stdc++.h>
#define pb push_back
using namespace std;
typedef long long ll;
using namespace __gnu_pbds;
typedef tree<
int,
null_type,
less<int>,
rb_tree_tag,
tree_order_statistics_node_update>
ordered_set;

///*set.find_by_order(
using ld = long double;

const ll INF = 1e18;
const ld EPS = 1e-40;
const ld pi = acos(-1);
#define int ll
#define deb(x) cout <<#x<<' '<<x<<endl;


ld sq(ld a) {
    return a * a;
}

struct point {
    ld x, y;
    point() {
        x = .0;
        y = .0;
    }
    void input() {
        cin >> x >> y;
    }
    void output() {
        cout << x << " " << y << " ";
    }
    ld getLen() {
        return sqrt(sq(x) + sq(y));
    }
    ld getAngle() {
        return atan2(y, x);
    }
    void tilt(ld angle) {
        ld newAngle = angle + getAngle();
        ld len = getLen();
        x = len * cos(newAngle);
        y = len * sin(newAngle);
    }
};


ld dis(point a, point b) {
    return sqrt(sq(a.x - b.x) + sq(a.y - b.y));
}

struct segment {
    point a, b;
    segment() {
        a = point();
        b = point();
    }
    void input() {
        a.input();
        b.input();
    }
    void output() {
        a.output();
        b.output();
        cout << endl;
    }
    void tilt(ld angle) {
        a.tilt(angle);
        b.tilt(angle);
    }

    void sorty() {
        if (a.y - b.y > -EPS) {
            swap(a, b);
        }
    }

    void sortx() {
        if (a.x - b.x > -EPS) {
            swap(a, b);
        }
    }
};

ld slope (point a, point b) {
    return (a.y - b.y) / (a.x - b.x);
}

point sum(point a, point b) {
    point c;
    c.x = a.x + b.x;
    c.y = a.y + b.y;
    return c;
}

point mult(point a, ld b) {
    point c = a;
    a.x *= b;
    a.y *= b;
}

bool kek(segment a, point b, point dir) {
    ld l = .0;
    ld r = .0;
    while (r - l > EPS) {
        ld mid = (r + l) / 2.0;
        point nw = sum(b, mult(dir, mid));
    }
}



bool intersection(point ray, point dir, segment check) {
    /// kx + b = y
    check.sortx();
    ld k_of_ray = dir.y/dir.x;
    ld b_of_ray = ray.y - ray.x * k_of_ray;
    ld k_of_segment = slope(check.a, check.b);
    ld b_of_segment = check.a.y - k_of_segment * check.a.x;
    if (k_of_ray - k_of_segment == 0) return 0;
    ld intersect = (b_of_segment - b_of_ray) / (k_of_ray - k_of_segment);
    if (ray.x < intersect) return 0;
    if (ray.x < check.a.x) return 0;
    if (ray.x > check.a.x) return 0;
    return 1;
}

void solve() {
    segment f, s;
    f.input();
    s.input();
    point dir;
    dir.input();
    if (intersection(f.a, dir, s) || intersection(f.b, dir, s)) {
        cout << "Yes";
        return
        ;
    }
    dir.x *= -1;
    dir.y *= -1;
    swap(f, s);
    if (intersection(f.a, dir, s) || intersection(f.b, dir, s)) {
        cout << "Yes";
        return
        ;
    }
    cout << "No";
    return;
}

 main() {
     ll n;
     cin >> n;
     for (int i = 1; i <= n; i ++) {
        solve();
     }
}
