#include <bits/stdc++.h>

typedef long long ll;
typedef unsigned long long ull;

#define pb push_back
#define fr first
#define sc second

using namespace std;

const int INF = 1000*1000*1000+1000;

int bin_pow(int a,int b){
    int res=1;
    while(b!=0){
        if(b&1)res*=a;
        a*=a;
        b>>=1;
    }
    return res;
}

int main() {
    int l, r, n;
    scanf("%d%d", &l, &r);

    for(n = 3; n*n*n < l; n++) {
        l -= n*n*n;
        r -= n*n*n;
    }

    for(; l <= r; l++) {
        if(n*n*n < l) {
            l -= n*n*n;
            r -= n*n*n;
            n++;
        }

        int a = (l-1)/(n*n)+1;
        int b = (l-1)/n + 1;
        int c = l % n;

        if(b % n == 0) b = n;
        else if(b > n) b %= n;
        if(c == 0) c = n;

        int x = bin_pow(a, n) + bin_pow(b, n), y = bin_pow(c, n);

        printf("%d^%d+%d^%d", a, n, b, n);

        if(x > y) printf(">");
        else printf("<");

        printf("%d^%d\n", c, n);
    }

    return 0;
}
