#pragma GCC optimize("O3")
#include <bits/stdc++.h>

using namespace std;

const int M = 510;

int n, k, a[M][M];
vector<int> v[M][M];
int st[M][M], it[M], used[M], cnt, t;

inline void dfs(int tree_id, int p, int pr)
{
    used[p] = cnt;
    t = 0;
    while (t < it[p])
    {
        if (used[st[p][t]] == cnt)
            t++;
        else
        {
            it[p]--;
            swap(st[p][t], st[p][it[p]]);
        }
    }
    for (int i : v[tree_id][p])
        if (i != pr)
            dfs(tree_id, i, p);
    used[p] = cnt - 1;
}

vector<vector<pair<int, int>>> trees;

int main()
{
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    cin >> n >> k;
    for (int id = 0; id < k; id++)
    {
        vector<pair<int, int>> cur;
        for (int i = 0; i < n - 1; i++)
        {
            int s, f;
            cin >> s >> f;
            s--, f--;
            if (s > f)
                swap(s, f);
            cur.push_back(make_pair(s, f));
        }
        sort(cur.begin(), cur.end());
        trees.push_back(cur);
    }
    sort(trees.begin(), trees.end());
    trees.resize(unique(trees.begin(), trees.end()) - trees.begin());
    k = trees.size();
    for (int i = 0; i < k; i++)
        for (pair<int, int> t : trees[i])
        {
            v[i][t.first].push_back(t.second);
            v[i][t.second].push_back(t.first);
        }
    cnt = 1;
    for (int i = 0; i < n - 1; i++)
    {
        for (int j = 0; j <= i; j++)
            it[j] = 0;
        for (int j = i + 1; j < n; j++)
        {
            it[j] = n;
            for (int t = 0; t < n; t++)
                st[j][t] = t;
        }
        for (int t = 0; t < k; t++)
        {
            cnt++;
            dfs(t, i, -1);
        }
        for (int j = i + 1; j < n; j++)
            a[i][j] = it[j];
    }
    for (int i = 0; i < n; i++)
        for (int j = i + 1; j < n; j++)
            a[j][i] = a[i][j];
    for (int i = 0; i < n; i++)
        a[i][i] = 1;
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
            cout << a[i][j] << " ";
        cout << "\n";
    }
    return 0;
}