#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
typedef long double ld;

ll sign(ll x) {
	if (x > 0)
		return 1;
	if (x < 0)
		return -1;
	return 0;
}

struct pt {
	ll x, y;
	pt() : x(0), y(0) {}
	pt(ll x, ll y) : x(x), y(y) {}

	ld len() {
		return sqrt(x * x + y * y);
	}
	pt operator-(pt p) {
		return {x - p.x, y - p.y};
	}
	pt operator+(pt p) {
		return {x + p.x, y + p.y};
	}
	ll operator%(pt p) {
		return x * p.x + y * p.y;
	}
	ll operator*(pt p) {
		return x * p.y - y * p.x;
	}
	pt operator*(ll k) {
		return {x * k, y * k};
	}
	void scan() {
		cin >> x >> y;
	}
	ll sg(pt a, pt b) {
		return sign((a - *this) * (b - *this));
	}
};

bool ons(pt a, pt b, pt c) {
	return (b - a) % (c - a) <= 0;
}

bool inter(pt a1, pt a2, pt b1, pt b2) {
	pt va = a2 - a1, vb = b2 - b1;
	if (va * vb == 0 && a1.ons(b1, b2)) {
		return ons(a1, b1, b2) || ons(a2, b1, b2) || ons(b1, a1, a2) || ons(b2, a1, a2);
	}
	if (a1.sg(b1, b2) * a2.sg(b1, b2) <= 0 && b1.sg(a1, a2) * b2.sg(a1, a2) <= 0)
		return 1;
	return 0;
}

	


int main() {
	int n;
	cin >> n;
	pt a, b, c, d, e, f, v;
	for (int i = 0; i < n; i++) {
		a.scan();
		b.scan();
		c.scan();
		d.scan();
		v.scan();
		ll mn = 1e7 / v.len();
		if (v * (a - b) < 0)
			swap(a, b);
		e = a + v * mn;
		f = b + v * mn;
		if (inter(a, e, c, d) || inter(a, b, c, d) || inter(b, f, c, d) || 
			c.sg(a, b) < 0 && c.sg(b, f) < 0 && c.sg(e, a) < 0)
				cout << "Yes\n";
		else
			cout << "No\n";
	}
}

