#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

bool find(string &s, char cc) {
    for (auto c : s) {
        if (c == cc) {
            return true;
        }
    }
    return false;
}

int stoi(string &s) {
    int res = 0;
    for (char c : s) {
        res = res * 10 + (c - '0');
    }
    return res;
}

vector<int> get_dmy(string &s, char spl) {
    string last;
    vector<int> res(3);
    int cur = 0;
    for (auto c : s) {
        if (c == spl) {
            res[cur] = stoi(last);
            last = "";
            cur++;
        } else {
            last += c;
        }
    }
    res[cur] = stoi(last);
    cur++;
    return res;
}

string itos(int x) {
    string res;
    while (x > 0) {
        res += (x % 10) + '0';
        x /= 10;
    }
    reverse(res.begin(), res.end());
    return res;
}

string norm(int x, int k) {
    string res = itos(x);
    reverse(res.begin(), res.end());
    while (res.length() < k) {
        res += '0';
    }
    reverse(res.begin(), res.end());
    return res;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        string s;
        cin >> s;
        if (find(s, '/')) {
            auto mdy = get_dmy(s, '/');
            string ans2 = norm(mdy[0], 2) + "/" + norm(mdy[1], 2) + "/" + norm(mdy[2], 4);
            string ans1 = norm(mdy[1], 2) + "." + norm(mdy[0], 2) + "." + norm(mdy[2], 4);
            cout << ans1 << " " << ans2 << endl;
        } else {
            auto dmy = get_dmy(s, '.');
            string ans1 = norm(dmy[0], 2) + "." + norm(dmy[1], 2) + "." + norm(dmy[2], 4);
            string ans2 = norm(dmy[1], 2) + "/" + norm(dmy[0], 2) + "/" + norm(dmy[2], 4);
            cout << ans1 << " " << ans2 << endl;
        }
    }

    return 0;
}