#include <iostream>
#include <vector>
#include <algorithm>

#define forn(i, n) for(int i = 0; i < n; ++i)
#define pb push_back
#define mp make_pair
#define int ll
#pragma warning (disable : 4996)

using namespace std;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;

struct Vt {
	ll x, y;
	Vt() {};
	Vt(ll x, ll y) :x(x), y(y) {};
	Vt(Vt a, Vt b) :x(b.x - a.x), y(b.y - a.y) {};

	void in() {
		cin >> x >> y;
	}

	ll operator%(Vt v) {
		return x * v.y - y * v.x;
	}

	ll operator*(Vt v) {
		return x * v.x + y * v.y;
	}

	Vt operator-() {
		return Vt(-x, -y);
	}
};

int sign(ll x) {
	if (x == 0)return 0;
	return x / abs(x);
}

bool f(Vt a, Vt b1, Vt b2, Vt v) {
	b1 = Vt(a, b1);
	b2 = Vt(a, b2);
	int s1 = sign(b1 % b2), s2 = sign(b1 % v), s3 = sign(v % b2);
	if (s2 == 0) {
		return sign(b1 * v) > 0;
	}
	if (s3 == 0) {
		return sign(b2 * v) > 0;
	}
	return (s1 == s2 && s1 == s3);
}

signed main() {
#ifdef LOCAL
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	int n;
	cin >> n;
	forn(ii, n) {
		Vt a1, a2, b1, b2, v;
		a1.in();
		a2.in();
		b1.in();
		b2.in();
		v.in();
		if (f(a1, b1, b2, v) || f(a2, b1, b2, v) || f(b1, a1, a2, -v) || f(b2, a1, a2, -v)) {
			cout << "Yes\n";
		}
		else {
			cout << "No\n";
		}
	}
	return 0;
}