#include <bits/stdc++.h>

using namespace std;

#define mp make_pair
#define x first
#define y second

bool a[1005][1005];

void print_path(vector<pair<int, int>> path) {
    string querry;
    for(int i = 0; i < path.size() - 1; i++) {
        int x1 = path[i].x, y1 = path[i].y;
        int x2 = path[i+1].x, y2 = path[i+1].y;
        if(x1 == x2) {
            for(int j = 0; j < y2-y1; j++) querry += "R";
        } else if(y1 == y2) {
            for(int j = 0; j < x2-x1; j++) querry += "D";
        } else {
            int stepsx = x2-x1;
            int stepsy = y2-y1;
            int stepsxfirst = stepsx/2;
            int stepsxsecond = stepsx-stepsx/2;
            int x = x1, y = y1;
            if(a[x1+1][y1]) {
                    y++;
                    a[x][y] = true;
                    querry += "R", stepsy--;
            }
            for(int j = 0; j < stepsxfirst; j++) {
                    x++;
                    a[x][y] = true;
                    querry += "D";
            }
            if(a[x1][y1+1]) {
                    x++;
                    a[x][y] = true;
                    querry += "D", stepsxsecond--;
            }
            for(int j = 0; j < stepsy; j++) {
                    y++;
                    a[x][y] = true;
                    querry += "R";
            }
            for(int j = 0; j < stepsxsecond; j++) {
                    x++;
                    a[x][y] = true;
                    querry += "D";
            }
        }
    }

    /*for(int i = 1; i <= 3;i ++){
        for(int j = 1; j <= 4; j++){
      //     a[i][j] = false;
      cout << a[i][j];
        }cout << endl;
    }*/
    cout << querry << endl;
}

int main()
{
    for(int i = 0; i < 1005;i ++){
        for(int j = 0; j < 1005; j++){
            a[i][j] = false;
        }
    }
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    vector<pair<int, int>> path;
    vector<pair<int, int>> new_path;
    new_path.push_back(mp(1, 1));
    new_path.push_back(mp(n, m));
    int step = 0;
    while(true) {
        path = new_path;
        if(path.size() == n+m-1) {
            cout << "! "; print_path(path);
            return 0;
        }
        if(step > 9) throw 0;
        cout << "? ";
        print_path(path);
        int guess;
        cin >> guess;
        new_path.resize(guess);
        for(int i = 0; i < guess; i++) {
            cin >> new_path[i].x >> new_path[i].y;
        }
        step++;
    }
    return 0;
}
