#include <bits/stdc++.h>

using namespace std;

#define int long long
typedef long long ll;

const char el = '\n';
struct pt {
    int x, y;
    pt(int _x, int _y) { x = _x, y = _y; }
    pt() {}
};
pt operator +(const pt &a, const pt &b) {
    return pt(a.x + b.x, a.y + b.y);
}
pt operator -(const pt &a, const pt &b) {
    return pt(a.x - b.x, a.y - b.y);
}
int operator %(const pt &a, const pt &b) {
    return a.x * b.y - a.y * b.x;
}
int sign(int a) {
    if (a > 0) return 1;
    if (a < 0) return -1;
    return 0;
}
bool check(pt v, pt a, pt c, pt d) {
    //cout << sign(v % (c - a)) << ' ' << sign(v % (d - a)) << ' ' << sign((c - a) % (d - a)) << el;
    return sign((c - a) % v) * sign(v % (d - a)) > 0 && sign((c - a) % v) == sign((c - a) % (d - a));
}
bool sonapr(pt a, pt b) {
    return (a % b == 0) && sign(a.x) == sign(b.x) && sign(a.y) == sign(b.y);
}
signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    //cout << (int)sonapr(pt(-1, -1), pt(1, 1)) << el;
    int n;
    cin >> n;
    while(n--) {
        pt a, b, c, d, v;
        cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
        int tmp = (1000'000'0 / max(abs(v.x), abs(v.y))) + 1;
        v.x *= tmp; v.y *= tmp;
        //cout << v.x << ' ' << v.y << el;
        if (sonapr(c - a, v) || sonapr(d - a, v) || sonapr(c - b, v) || sonapr(d - b, v)) {
            cout << "Yes" << el;
            //cerr << 1 << el;
            continue;
        }
        if (check(v, a, c, d)) {
            cout << "Yes" << el;
            //cerr << 2 << el;
            continue;
        }
        if (check(v, b, c, d)) {
            cout << "Yes" << el;
            //cerr << 3 << el;
            continue;
        }
        v.x = -v.x; v.y = -v.y;
        if (check(v, c, a, b)) {
            cout << "Yes" << el;
            //cerr << 4 << el;
            continue;
        }
        if (check(v, d, a, b)) {
            cout << "Yes" << el;
            //cerr << 5 << el;
            continue;
        }
        cout << "No" << el;
    }
    return 0;
}
