#include <iostream>
#include <vector>
#include <string>
#include <cmath>
#include <iomanip>
#include <set>
#include <algorithm>
#include  <map>
#include  <numeric>
#include <random>
#include <list>
#include <cassert>

#pragma warning(disable : 4996)
using namespace std;

#define all(a) (a).begin(), (a).end()
#define nl '\n'

typedef long long ll;

const ll LINF = numeric_limits<ll>::max();
const int INF = numeric_limits<int>::max();

inline void IO() {
#ifdef _DIVAN
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

//const int ML = 536070912;
//char memo[ML];
//int ptr = 0;
//
//void* operator new(size_t n) {
//	ptr += n;
//	assert(ptr < ML);
//	return memo + ptr - n;
//}
//
//
//void operator delete(void*) {};

inline void solve() {
	ll a, b;
	cin >> a >> b;
	ll x = a % 9, y = b % 9;
	ll need = 0;
	for (int i = 0; i < 9 + x; ++i) {
		need = need * 10 + 1;
	}
	vector <int> ans;
	if ((need - a) / 9 != 0) {
		ans.emplace_back((need - a) / 9);
	}
	ans.emplace_back(-1 * (9 + x));
	if (y == 0) {
		if (b / 9 != 0) {
			ans.emplace_back(b / 9);
		}
	}
	else {
		ans.emplace_back(2);
		ans.emplace_back(-1);
		a = 8;
		while (a != y) {
			ans.emplace_back(1);
			ans.emplace_back(-1);
			a--;
		}
		if ((b - y) / 9 != 0) {
			ans.emplace_back((b - y) / 9);
		}
	}
	cout << "Stable\n";
	cout << ans.size() << "\n";
	for (auto u : ans) {
		if (u > 0) {
			cout << "+ " << u << "\n";
		}
		else {
			cout << "- " << -u << "\n";
		}
	}
}

int main() {
	IO();
	solve();
	return 0;
}