#define _CRT_SECURE_NO_WARNINGS
#include<algorithm>
#include<iostream>
#include<string>
#include<cmath>
#include<set>
#include<map>
#include<vector>
using namespace std;
#define int long long
#define elif else if
const double eps = 1e-6;
struct point
{
	double x, y;
	point(double x = 0, double y = 0) : x(x), y(y) {}
};
typedef long long ll;
bool fl;
point inter(point a, point v1, point b, point v2) {
	fl = 0;
	double t2 = v2.y - v2.x * v1.y / v1.x;
	if (fabs(t2) <= eps) {
		fl = 1;
		return point(0, 0);
	}
	t2 = (a.y + b.x * v1.y / v1.x - v1.y * a.x / v1.x - b.y) / t2;
	double t1 = (b.x + v2.x * t2 - a.x) / v1.x;
	if (t1 <= -eps) {
		fl = 1;
		return point(0, 0);
	}
	return point(b.x + t2 * v2.x, b.y + t2 * v2.y);
}
signed main() {
	ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
	ll test;
	cin >> test;
	while (test--) {
		point a, b, c, d, v;
		cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y >> v.x >> v.y;
		if (a.x > b.x)
			swap(a, b);
		if (c.x > d.x)
			swap(c,d);
		point x1 = inter(a, v, c, point{ d.x - c.x, d.y - c.y });
		bool up1 = 0, up2 = 0;
		up1 = !fl;
		point x2 = inter(b, v, c, point{ d.x - c.x, d.y - c.y });
		up2 = !fl;
		if (x1.x > x2.x) {
			swap(x1, x2);
			swap(up1, up2);
		}
		if (up1 && up2) {
			if (c.x - x1.x >= -eps && c.x - x2.x <= eps) {
				cout << "Yes\n";
			}
			else if (d.x - x1.x >= -eps && d.x - x2.x <= eps) {
				cout << "Yes\n";
			}
			else if (c.x - x1.x <= eps && d.x - x2.x >= -eps){
				cout << "Yes\n";
			}
			else
				cout << "No\n";
		}
		else if (up1 | up2) {
			if ((b.x - a.x) * (c.y - a.y) - (b.y - a.y) * (c.x - a.x) >= -eps) {
				if (c.x - x1.x >= -eps && c.x - x2.x <= eps) {
					cout << "Yes\n";
				}
				else if (d.x - x1.x >= -eps && d.x - x2.x <= eps) {
					cout << "Yes\n";
				}
				else if (c.x - x1.x <= eps && d.x - x2.x >= -eps) {
					cout << "Yes\n";
				}
				else
					cout << "No\n";
			}
			else
				cout << "No\n";
		}
		else {
			cout << "No\n";
		}
	}
	return 0;
}