#include <iostream>
#include <set>
#include <map>
#include <string>
#include <vector>
#include <queue>
#include <iomanip>
using namespace std;
#define int long long
struct point {
	int x, y;
	point operator +(point& z) {
		return { x + z.x, y + z.y };
	}
	point operator -(point& z) {
		return { x - z.x, y - z.y };
	}
	int operator *(point& z) {
		return  x * z.x + y * z.y;
	}
	int operator ^(point& z) {
		return  x * z.y - y * z.x;
	}
};
istream& operator>>(istream& a, point& b) {
	cin >> b.x >> b.y;
	return a;
}

int stor(point a, point b, point c) {
	b = b - a;
	c = c - a;
	return b ^ c;

}

bool check(point a, point b, point c) {
	point b1 = b - a;
	point c1 = c - a;
	point a2 = a - b;
	point c2 = c - b;
	return  (a2 * c2) >= 0 && (b1 * c1 >= 0);
}
bool intersect(point a, point b, point c, point d) {
	if (stor(a, b, c) * stor(a, b, d) <= 0
		&& stor(c, d, a) * stor(c, d, b) <= 0 && (
			check(a, b, c) || check(c, d, a) ||
			check(a, b, d) || check(c, d, b)))
		return true;
	else return 0;

}

int32_t main() {
	int n;
	cin >> n;
	while (n--) {
		point a1, a2, b1, b2, v;
		cin >> a1 >> a2 >> b1 >> b2 >> v;
		a1 = a1 + v;
		a2 = a2 + v;

		if (intersect(a1, a2, b1, b2))
			cout << "Yes\n";
		else cout << "No\n";
	}
}