#include <bits/stdc++.h>

using namespace std;

#define int long long
const int inf = 2e9;

int vec_prod(pair<int, int> a, pair<int, int> b){
    return a.first * b.second - a.second * b.first;
}

int scal_prod(pair<int, int> a, pair<int, int> b){
    return a.first * b.first + a.second * b.second;
}

const long double MPI = 3.1415926535897932384626433832795;

bool trav_seg(pair<int, int> a,  pair<int, int> b, pair<int, int> c, pair<int, int> d){
    pair<int, int> vec = {b.first - a.first, b.second - a.second};
    pair<int, int> vec1 = {c.first - a.first, c.second - a.second};
    pair<int, int> vec2 = {d.first - a.first, d.second - a.second};
    if(vec_prod(vec, vec1) >= 0 && vec_prod(vec, vec2) <= 0 || vec_prod(vec, vec1) <= 0 && vec_prod(vec, vec2) >= 0){
        vec = {d.first - c.first, d.second - c.second};
        vec1 = {a.first - c.first, a.second - c.second};
        vec2 = {b.first - c.first, b.second - c.second};
        if(vec_prod(vec, vec1) >= 0 && vec_prod(vec, vec2) <= 0 || vec_prod(vec, vec1) <= 0 && vec_prod(vec, vec2) >= 0){
            return true;
        }
    }
    return false;
}

signed main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    for(int c=0; c<n; c++){
        pair<int, int> a1, a2;
        pair<int, int> b1, b2;
        cin >> a1.first >> a1.second;
        cin >> a2.first >> a2.second;
        cin >> b1.first >> b1.second;
        cin >> b2.first >> b2.second;

        pair<int, int> vec;
        cin >> vec.first >> vec.second;



/*
        pair<int, int> vec1 = {b1.first - a1.first, b1.second - a1.second};
        pair<int, int> vec2 = {b2.first - a1.first, b2.second - a1.second};
        if((scal_prod(vec, vec1) >= 0 || scal_prod(vec, vec2) >= 0) && abs(atan2(vec_prod(vec, vec1), scal_prod(vec, vec1))) + abs(atan2(vec_prod(vec, vec2), scal_prod(vec, vec2))) <= MPI){
            bool b1 = false, b2 = false;
            if(vec_prod(vec, vec1) <= 0)b1 = true;
            if(vec_prod(vec, vec1) >= 0)b2 = true;
            if(vec_prod(vec, vec2) <= 0)b1 = true;
            if(vec_prod(vec, vec2) >= 0)b2 = true;
            if(b1 && b2){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }


        }

        vec1 = {b1.first - a2.first, b1.second - a2.second};
        vec2 = {b2.first - a2.first, b2.second - a2.second};
        if((scal_prod(vec, vec1) >= 0 || scal_prod(vec, vec2) >= 0) && abs(atan2(vec_prod(vec, vec1), scal_prod(vec, vec1))) + abs(atan2(vec_prod(vec, vec2), scal_prod(vec, vec2))) <= MPI){
            bool b1 = false, b2 = false;
            if(vec_prod(vec, vec1) <= 0)b1 = true;
            if(vec_prod(vec, vec1) >= 0)b2 = true;
            if(vec_prod(vec, vec2) <= 0)b1 = true;
            if(vec_prod(vec, vec2) >= 0)b2 = true;
            if(b1 && b2){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }
*/

        pair<int, int> vec1 = {b1.first - a2.first, b1.second - a2.second};
        pair<int, int> vec2 = {b2.first - a2.first, b2.second - a2.second};
        pair<int, int> vec3 = {b1.first - a1.first, b1.second - a1.second};
        pair<int, int> vec4 = {b2.first - a1.first, b2.second - a1.second};

        pair<int, int> dop2 = {a2.first - a1.first, a2.second - a1.second};
        pair<int, int> dop3 = {a1.first - a2.first, a1.second - a2.second};
        if((vec_prod(dop2, vec4) == 0 && scal_prod(vec, vec4) > 0) || (vec_prod(dop2, vec3) == 0 && scal_prod(vec, vec3) > 0) ||
           (vec_prod(dop3, vec1) == 0 && scal_prod(vec, vec1) > 0) || (vec_prod(dop3, vec2) == 0 && scal_prod(vec, vec2) > 0)){
            cout << "Yes\n";
            //cout << endl;
            continue;
        }



        if(vec_prod(vec, vec2) >= 0 && vec_prod(vec, vec4) <= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec4) > 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }
        if(vec_prod(vec, vec2) <= 0 && vec_prod(vec, vec4) >= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec4) < 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }

        if(vec_prod(vec, vec1) >= 0 && vec_prod(vec, vec3) <= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec3) > 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }
        if(vec_prod(vec, vec1) <= 0 && vec_prod(vec, vec3) >= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec3) < 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }

        int temp = max(abs(vec.first), abs(vec.second));
        vec.first *= inf / temp;
        vec.second *= inf / temp;
        pair<int, int> d1, d2;
        d1 = {a1.first + vec.first, a1.second + vec.second};
        d2 = {a2.first + vec.first, a2.second + vec.second};
        if(trav_seg(a1, d1, b1, b2) || trav_seg(a2, d2, b1, b2)){
            cout << "Yes\n";
            continue;
        }
        cout << "No\n";
/*
        swap(a1, b1);
        swap(a2, b2);
        vec.first *= -1;
        vec.second *= -1;

        vec1 = {b1.first - a2.first, b1.second - a2.second};
        vec2 = {b2.first - a2.first, b2.second - a2.second};
        vec3 = {b1.first - a1.first, b1.second - a1.second};
        vec4 = {b2.first - a1.first, b2.second - a1.second};
        if(vec_prod(vec, vec2) >= 0 && vec_prod(vec, vec4) <= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec4) > 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }
        if(vec_prod(vec, vec2) <= 0 && vec_prod(vec, vec4) >= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec4) < 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }

        if(vec_prod(vec, vec1) >= 0 && vec_prod(vec, vec3) <= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec3) > 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }
        if(vec_prod(vec, vec1) <= 0 && vec_prod(vec, vec3) >= 0){
            pair<int, int> dop = {a2.first - a1.first, a2.second - a1.second};
            if(vec_prod(dop, vec3) < 0){
                cout << "Yes\n";
                //cout << endl;
                continue;
            }
        }

        cout << "No\n";
        */
        //cout << endl;
    }
    return 0;
}

/*

1
0 0 1 1
-1 -1
1 2
1 1

2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1

1
0 0 10 0 4 2 8 2 0 10

1
4 2 8 2 0 0 10 0 0 10
*/
