

#include <iostream>
#include <algorithm>
#include <vector>
#include <set>
#include <map>

#define int long long

const int INF = 2e9;

using namespace std;

void getStart(vector <int>& a, int zn, int n) {
	a[0] = zn % n;
	zn /= n;
	a[1] = zn % n;
	a[2] = zn / n;
}

int binPow(int a, int b) {
	if (!b) return 1;
	if (b % 2) {
		return a * binPow(a, b - 1);
	}
	int q = binPow(a, b / 2);
	return q * q;
}

void solve() {
	int l, r;
	cin >> l >> r;
	int k = l, zn = 3;
	int pr = zn * zn * zn;
	while (k > pr) {
		k -= pr;
		r -= pr;
		++zn;
		pr = zn * zn * zn;
	}
	vector <int> st(3);
	getStart(st, k - 1, zn);
	/*cout << k << endl;
	cout << st[0] << ' ' << st[1] << " " << st[2];*/
	map <pair<int, int>, int> s;
	for (int i = l; i <= r; ++i) {
		cout << st[2] + 1 << "^" << zn << "+" << st[1] + 1 << "^" << zn;
		int f, se, t;
		if (s.find({st[0] + 1, zn}) == s.end()) {
			t = s[{st[0] + 1, zn}] = binPow(st[0] + 1, zn);
		}
		else
			t = s[{st[0] + 1, zn}];
		if (s.find({ st[1] + 1, zn }) == s.end()) {
			se = s[{st[1] + 1, zn}] = binPow(st[1] + 1, zn);
		}
		else
			se = s[{st[1] + 1, zn}];
		if (s.find({ st[2] + 1, zn }) == s.end()) {
			f = s[{st[2] + 1, zn}] = binPow(st[2] + 1, zn);
		}
		else
			f = s[{st[2] + 1, zn}];
		//cout << f << se << t << endl;
		if (f + se > t)
			cout << ">";
		else 
			cout << "<";
		cout << st[0] + 1 << "^" << zn << '\n';
		st[0]++;
		if (st[0] == zn) {
			st[0] = 0;
			st[1]++;
		}
		if (st[1] == zn) {
			st[1] = 0;
			st[2]++;
		}
		if (st[2] == zn) {
			st[2] = 0;
			st[1] = 0;
			st[0] = 0;
			zn++;
		}
	}
	
}

signed main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	solve();
}
