#include <bits/stdc++.h>
using namespace std;
const double inf = 1e9;
bool f (double bx1, double x1, double bx2) {
    return (abs(abs(bx1 - x1) + abs(bx2 - x1) - abs(bx1 - bx2)) <= (1/inf));
}
struct line {
    double a, b, c;
    line (double x1, double y1, double x2, double y2) {
        a = y2 - y1;
        b = x1 - x2;
        c = y1 * x2 - y2 * x1;
    }
};
pair<double, double> inter(line l1, line l2) {
    double y, x;
    double d = l1.b * l2.a - l2.b * l1.a;
    if (d == 0) {
        if (l1.a * l2.c == l1.c * l2.a)
            return {inf, inf};
        return {-inf, -inf};
    }
    x = -(l2.c * l1.b - l1.c * l2.b);
    y = l2.c * l1.a - l1.c * l2.a;
    x /= d;
    y /= d;
    return {x, y};
}
int main() {
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        double ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        //func(ax1, ay1, ax2, ay2, bx1)
        line l1(ax1, ay1, ax1 + vx, ay1 + vy);
        line l2(bx1, by1, bx2, by2);
        double x1 = inter(l1, l2).first;
        double y1 = inter(l1, l2).second;

        line l3(ax2, ay2, ax2 + vx, ay2 + vy);
        double x2 = inter(l2, l3).first;
        double y2 = inter(l2, l3).second;

        //cout << x1 << " " << y1 << " " << x2 << " " << y2 << "\n";
        if (abs(x1) == inf) {
            line T(ax1, ay1, ax2, ay2);
            double x3 = inter(l2, T).first;
            double y3 = inter(l2, T).second;
            if (x3 == -inf) {
                cout << "No\n";
                continue;
            }
            if (x3 == inf) {
                cout << "Yes\n";
                continue;
            }
            if (f(ax1, x3, ax2) && f(ay1, y3, ay2)) {
                cout << "Yes";
            } else
                cout << "No";
            cout << endl; continue;
        }
        //cout << x1 << " " << ax1 << " " << vx << "\n";
        if ((x1 - ax1) * vx < 0) {
            cout << "No" << endl;
            continue;
        }
        if ((f(bx1, x1, bx2) && f(by1, y1, by2)) || (f(bx1, x2, bx2) && f(by1, y2, by2)) || (f(x1, bx1, x2) && f(y1, by1, y2)) || (f(x1, bx2, x2) && f(y1, by2, y2))) cout << "Yes";
        else cout << "No";
        cout << endl;
        //cout << x1 << " " << y1 << " " << x2 << " " << y2;
    }

}
