#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define int long long

struct pt {
	int x, y;
	pt(int x, int y) : x(x), y(y) {}
	pt() : x(0), y(0) {}
};

int operator %(pt f, pt s) {
	return f.x * s.y - f.y * s.x;
}	

int operator *(pt f, pt s) {
	return f.x * s.x + f.y * s.y;
}

pt operator -(pt f, pt s) {
 	return pt(f.x - s.x, f.y - s.y);
}

bool ins(pt p, pt a, pt b) {
 	if (((p - a) % (p - b)) != 0) return false;
 	int pr = (a - p) * (b - p);
 	return (pr == 0 || pr < 0);
}

bool check(pt a, pt b, pt c, pt d) {
	if (ins(a, c, d) || ins(b, c, d) || ins(c, a, b) || ins(d, a, b)) return true;
 	if (((a - b) % (c - d)) == 0) {
 		return false;
 	}
 	int s1, s2;
 	for (int i = 0; i < 2; ++i) {
 	 	s1 = (c - a) % (b - a);
 	 	s2 = (d - a) % (b - a);
 	 	if (s1 > 0 && s2 > 0) return false;
 	 	if (s1 < 0 && s2 < 0) return false;
 	 	swap(a, c);
 	 	swap(b, d);
	}
	return true;
}

int s(int a) {
	if (a > 0) return 1;
	if (a < 0) return -1;
	return 0;
}

bool df(int a, int b) {
	if (a == 0) return true;
	if (b == 0) return true;
	return a != b;
}	

signed main() {
	ios_base::sync_with_stdio(false); cin.tie(0);
	#ifdef LOCAL                         	
	freopen("input.txt", "r", stdin);
	#endif
	int n;
	cin >> n;
	for (int i = 0; i < n; ++i) {
		pt a, b, c, d;
		int vx, vy;
		cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
		cin >> vx >> vy;
		pt fa = a;
		fa.x += vx;
		fa.y += vy;
		pt fb = b;
		fb.x += vx;
		fb.y += vy;;
		bool fl = df(s((b - a) % (c - a)), s((fa - a) % (c - a))) && df(s((a - b) % (c - b)), s((fb - b) % (c - b)));
		c = d;
		fl |= df(s((b - a) % (c - a)), s((fa - a) % (c - a))) && df(s((a - b) % (c - b)), s((fb - b) % (c - b)));;
		cout << (fl ? "Yes" : "No") << '\n';
	}
}