
#include <iostream>
#include <algorithm>
#include <math.h>
#include <vector>
#include <queue>
#include <unordered_map>


using namespace std;

int a, b;
unordered_map<int, bool> dist;
unordered_map<int, pair<int, int>> get_ans;
vector<pair<int, int>> ans;

vector<pair<int, int>> gg(int x) {
	vector<pair<int, int>> ret;
	int num = 0;
	int st = 1;
	while (x != 0) {
		int a = x % 10;
		if (a == 1) {
			ret.push_back({ num, 0 });
		}
		else
			ret.clear();
		num += a * st;
		st *= 10;
		x /= 10;
	}
	for (int i = ret.size() - 1; i >= 0; i--) {
		ret[i].second = ret.size() - i;
	}
	return ret;
}

void bfs() {
	queue<pair<int, int>> q;
	q.push({ a, 0 });
	dist[a] = 1;
	while (q.size()) {
		auto x = q.front();
		q.pop();
		if (x.second == 1000)
			break;
		if (dist[b] != 0)
			break;

		if (get_ans[x.first].first == 2 || x.first == a) {
			for (int i = 1; i <= 4 - x.second; i++) {
				if (dist[x.first + i * 9] == 0) {
					q.push({ x.first + i * 9, x.second + 1 });
					dist[x.first + i * 9] = 1;
					get_ans[x.first + i * 9] = { 1, i };
				}
			}
		}

		if (get_ans[x.first].first == 1 || x.first == a) {
			vector<pair<int, int>> rett = gg(x.first);
			for (auto f : rett) {
				if (dist[f.first] == false) {
					q.push({ f.first, x.second + 1 });
					dist[f.first] = 1;
					get_ans[f.first] = { 2, f.second };
				}
			}
		}



	}
}

void rec_b(int x) {
	if (x == a)
		return;
	auto ff = get_ans[x];
	if (ff.first == 1) {
		rec_b(x - ff.second * 9);
		ans.push_back(ff);
	}
	else {
		long long st = 1;
		int x1 = x;
		while (x1 != 0) {
			x1 /= 10;
			st *= 10;
		}
		x1 = x;
		for (int i = 0; i < ff.second; i++) {
			x1 += st;
			st *= 10;
		}
		ans.push_back(ff);
		rec_b(x1);
	}

}

int main() {
	
	
	ios_base::sync_with_stdio(0);
	cin.tie(0);

	//gg(0);
	
	cin >> a >> b;
	bfs();
	if (dist[b] == 0) {
		cout << "Broken";
	}
	else {
		cout << "Stable\n";
		rec_b(b);
		cout << ans.size() << '\n';
		reverse(ans.begin(), ans.end());
		for (auto f : ans) {
			if (f.first == 1)
				cout << "+ " << f.second << '\n';
			else
				cout << "- " << f.second << '\n';
		}
	}
	

	

	
}
