#include<bits/stdc++.h>
#include<ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/detail/standard_policies.hpp>

#define forn(i, n) for (int i = 0; i < n; ++i)

using namespace std;
using namespace __gnu_pbds;

#ifdef DEBUG
#define io freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout)
#else
#define io ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#endif

#define all(a) a.begin(), a.end()

typedef long long ll;
typedef long double ld;
typedef tree<
        int,
        null_type,
        less<int>,
        rb_tree_tag,
        tree_order_statistics_node_update>
        ordered_set;

struct vec {
    ll x, y;
};

ll mult(vec a, vec b) {
    return a.x * b.y - a.y * b.x;
}

ll sc(vec a, vec b) {
    return a.x * b.x + a.y * b.y;
}

bool in_angle(vec a, vec b, vec c) {
    ld ab = atan2(mult(a, b), sc(a, b));
    ld ac = atan2(mult(a, c), sc(a, c));
    //ld bc = atan2(mult(c, b), sc(c, b));
    if(ab * ac < 0)
        return false;
    return abs(ab) >= abs(ac);
}

bool ori(vec a, vec b) {
    if(mult(a, b) != 0)
        return false;
    return !(a.x * b.x >= 0 && a.y * b.y >= 0);
}

int32_t main() {
    io;
    int q;
    cin >> q;
    ll ax, ay, bx, by, cx, cy, dx, dy, vx, vy;
    forn(z, q) {
        cin >> ax >> ay >> bx >> by >> cx >> cy >> dx >> dy >> vx >> vy;
        vec ac = {cx - ax, cy - ay};
        vec bc = {cx - bx, cy - by};
        vec ad = {dx - ax, dy - ay};
        vec bd = {dx - bx, dy - by};
        vec v = {vx, vy};
        if(!ori(ac, v) && !ori(ad, v)) {
            if(in_angle(ac, ad, v)) {
                cout << "Yes\n";
                continue;
            }
        }
        if(!ori(bc, v) && !ori(bd, v)) {
            if(in_angle(bc, bd, v)) {
                cout << "Yes\n";
                continue;
            }
        }
        cout << "No\n";
    }
}

