#include <bits/stdc++.h>

using namespace std;
template<class T1, class T2> inline bool chkmax(T1 &x, const T2 &y) {if (x > y) {x = y; return true;} return false;}
template<class T1, class T2> inline bool chkmin(T1 &x, const T2 &y) {if (x < y) {x = y; return true;} return false;}
#define all(c) (c).begin(), (c).end()
#define sz(c) (int)(c).size()
#define pb push_back
#define mp make_pair
#define y1 y12282
#define y2 y2227
using ll = long long;
using ld = long double;

vector<pair<int, int> > dir = {
    {0, 1},
    {0, 0},
    {1, 0},
    {1, 1}
};

vector<vector<pair<int, int> > > ans;
vector<vector<int> > a;

int n;

void print_a() {
    cerr << "a" << endl;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            cerr << a[i][j] << " ";
        }
        cerr << endl;
    }
}

void init_a() {
    a.resize(n, vector<int> (n));
    vector<int> p(n * n);
    iota(all(p), 0);
    random_shuffle(all(p));
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            a[i][j] = p[i * n + j];
        }
    }
    print_a();
}

void cycle(vector<pair<int, int> > vp) {
    int len = vp.size();
    int val = a[vp[len - 1].first][vp[len - 1].second];
    for (int i = (int)vp.size() - 1; i >= 1; --i) {
        a[vp[i].first][vp[i].second] = a[vp[i - 1].first][vp[i - 1].second];
    }
    a[vp[0].first][vp[0].second] = val;
}

void push(vector<pair<int, int> > v) {
    ans.push_back(v);
    if (a[v[0].first][v[0].second] > a[v[1].first][v[1].second]) {
        vector<pair<int, int> > vp;
        for (auto pp : dir) {
            vp.push_back({v[2].first + pp.first, v[2].second + pp.second});
        }
        cycle(vp);
    }
}

pair<int, int> get_coord(int x, int y, int pos) {
    return {x + dir[pos].first, y + dir[pos].second};
}

void put_to_ans(int x, int y, int pos) {
    //cerr << "put_to_ans " << x << " " << y << " " << pos << endl;
    for (int it = 0; it < 3; ++it) {
        for (int i = 1; i <= 3; ++i) {
            for (int j = i; j >= 1; --j) {
                int id = (pos - j + 4) % 4;
                //cerr << j << " -> " << pos << endl;
                push({get_coord(x, y, id), get_coord(x, y, pos), {x, y}});
            }
        }
    }
}

string cell(pair<int, int> pp) {
    string res;
    res.push_back('a' + pp.second);
    res.push_back('1' + pp.first);
    return res;
}

void print_ans() {
    for (auto v : ans) {
        cout << cell(v[0]) << " > " << cell(v[1]) << " ? " << cell(v[2]) << "\n";
    }
}

void lines_max(int cnt) {
    for (int i = 1; i < cnt; i += 2) {
        for (int j = n - 2; j >= 0; --j) {
            put_to_ans(i - 1, j, 2);
        }
    }
    if (cnt % 2) {
        for (int j = n - 2; j >= 0; --j) {
            put_to_ans(cnt - 2, j, 2);
        }
    }
    for (int i = 0; i < cnt - 1; ++i) {
        put_to_ans(i, 0, 2);
    }
}

void put_max(int x, int y) {
    //cerr << "put_max " << x << " " << y << " " << ans.size() << endl;
    if (y > 0) {
        lines_max(x);
        for (int i = 0; i < y; ++i) {
            put_to_ans(x - 1, i, 3);
        }
    } else {
        lines_max(x);
        put_to_ans(x - 2, 0, 1);
        put_to_ans(x - 1, 0, 0);
        put_to_ans(x - 2, 1, 3);
        put_to_ans(x - 1, 0, 1);
        put_to_ans(x - 2, 0, 1);
        put_to_ans(x - 2, 1, 2);
        put_to_ans(x - 1, 0, 2);
        put_to_ans(x - 2, 0, 2);
        push({{x, 0}, {x - 1, 0}, {x - 1, 0}});
    }
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin >> n;
    init_a();
    for (int i = n - 1; i >= 2; --i) {
        for (int j = n - 1; j >= 0; --j) {
            put_max(i, j);
        }
    }
    print_ans();
    //cerr << "sz = " << ans.size() << endl;
    //print_a();
}


