// ESUS POMOGI

#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

struct V {
    ld x, y;

    V(ld xx = 0, ld yy = 0) {
        x = xx, y = yy;
    }

    V(ld x1, ld y1, ld x2, ld y2) {
        x = x2 - x1, y = y2 - y1;
    }

    void operator-=(V v) {
        x -= v.x, y -= v.y;
    }

    ld operator*(V v) {
        return x * v.x + y * v.y;
    }

    ld operator^(V v) {
        return x * v.y - y * v.x;
    }

    ld len() {
        return sqrtl(x * x + y * y);
    }

    void turn(ld ang) {
        ld l = len();
        x /= l, y /= l;
        ld xx = x * cosl(ang) + y * sinl(ang), yy = x * sinl(ang) - y * cosl(ang);
        x = xx * l, y = yy * l;
    }
};

void sosss() {
    ld ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
    cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
    ax1 += 1e6 + 2, ax2 += 1e6 + 2;
    bx1 += 1e6 + 2, bx2 += 1e6 + 2;
    V hui1(vx, vy), hui2(1, 0);
    ld ang = acosl((hui1 * hui2) / hui1.len());
    V A(ax1, ay1), B(ax2, ay2), C(bx1, by1), D(bx2, by2);
    A.turn(ang), B.turn(ang);
    C.turn(ang), D.turn(ang);
    //cerr << ang << endl;
    //cerr << A.y << " " << B.y << " " << C.y << " " << D.y << endl;
    if (min(A.y, B.y) > max(C.y, D.y) || max(A.y, B.y) < min(C.y, D.y)) {
        cout << "No\n";
        return;
    }
    //cerr << A.x << " " << A.y << " " << B.x << " " << B.y << endl;
    //cerr << ang << endl;
    //ld mn = min({A.x, B.x, C.x, D.x}) + 1;
    A.x += 1e6 + 2, B.x += 1e6 + 2;
    C.x += 1e6 + 2, D.x += 1e6 + 2;
    if (C.y < D.y) {
        swap(C.x, D.x), swap(C.y, D.y);
    }
    A -= D, B -= D, C -= D;
    V lol, kek;
    if (A.y < B.y) {
        lol = A;
    } else {
        lol = B;
    }
    kek = C;
    if ((kek ^ lol) >= 0) {
        cout << "Yes";
    } else {
        cout << "No";
    }
    cout << "\n";
}

int main() {
    //freopen("input.txt", "r", stdin);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        sosss();
    }
}
