
#pragma GCC optimize("O3,unroll-loops")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,mmx,abm,avx2,tune=native")

#include <bits/stdc++.h>
#define ull unsigned long long
#define vc vector
#define pr pair
#define pb push_back
#define len(v) (int)v.size()
#define fs first
#define sc second
#define all(v) v.begin(),v.end()

using namespace std;

const int MAXN = 500;
const int MAN = MAXN / 64 + 1;


ull a[MAXN][MAN];

ull l[MAN];

int ans[MAXN][MAXN];
bool used[MAXN];

vc<int> g[MAXN][MAXN];

void dfs(int ks, int v){
    used[v] = 1;
    l[v >> 6] |= (((ull)1) << (v & 63));
    for (int x = 0; x < MAN; x++){
        a[v][x] |= l[x];
    }
    for (auto &to : g[ks][v]){
        if (!used[to]){
            dfs(ks, to);
        }
    }
}

void solve(istream &in, ostream &out){
    int n, k;
    scanf("%d%d", &n, &k);
    //n = 500, k = 500;
    for (int ks = 0; ks < k; ks++){
        for (int i = 0; i < n - 1; i++){
            int a, b;
            //a = i + 2;
            //b = i + 1;
            scanf("%d%d", &a, &b);
            a--, b--;
            g[ks][a].pb(b);
            g[ks][b].pb(a);
        }
    }
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++){
            fill(a[j], a[j] + MAN, 0);
        }
        for (int ks = 0; ks < k; ks++){
            fill(used, used + n, 0);
            used[i] = 1;
            for (auto to : g[ks][i]) {
                fill(l, l + MAN, 0);
                dfs(ks, to);
            }
        }
        for (int i = 0; i < n; i++){
            for (int j = 0; j < n; j++){
                if (((a[i][j >> 6] & (((ull)1) << (j & 63))) | (a[j][i >> 6] & (((ull)1) << (i & 63)))) == 0){
                    ans[i][j]++;
                }
            }
        }
    }
    for (int i = 0; i < n; i++){
        for (int j = 0; j < n; j++){
            out << ans[i][j] << ' ';
        }
        out << '\n';
    }

}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    solve(cin, cout);
}