
def sum(n):
    return n * (n + 1) // 2 - 1;


def sum_sq(n):
    return n * (n + 1) * (2 * n + 1) // 6 - 1;


def sum_cube(n):
    return (n * (n + 1) // 2) * (n * (n + 1) // 2) - 1;


def get_cnt_with_max_no_more(max):
    if(max <= 2):
        return 0;
    return 4 * sum_cube(max - 1) + (4 - 3 * 2) * sum(max - 1) - 1;
    #/ (4 * 3 / 2 - 3 * 2) * sum_sq(max - 1)


def get_cnt(max, length, max_appeared):
    if(length == 0):
        return 1 if max_appeared else 0;
    
    ans = 0
    if(length != 1):
        ans = (max - 1) * get_cnt(max, length - 1, max_appeared);
    else:
        ans = (max - 3) * get_cnt(max, length - 1, max_appeared);
    ans += get_cnt(max, length - 1, True);
    return ans;


def get_nth(max, length, max_appeared, n):
    if(length == 0):
        return [];
    not_max = get_cnt(max, length - 1, max_appeared);
    skip = max - 3 if length == 1 else max - 1;
    if(not_max != 0):
        skip = min(skip, n // not_max);
    take = skip + 1;
    #cout << "length, not_max: " << length << " " << not_max << endl;
    #cout << "skip: " << skip << endl;
    if(length == 1):
        take += 2;
    #cout << "take here: " << take;
    #cout << "so i decide to take " << take << endl;
    #assert(n >= skip * not_max);
    #assert(n - skip * not_max >= 0);
    ans = get_nth(max, length - 1, take == max or max_appeared, n - skip * not_max);
    ans.insert(0, take);
    return ans;


def solution(n):  #/ n - на 1 больше обычного, так как индексация с 0
    max_l = 2
    max_r = 1000 + 3;  #/ l <=, r >
    #System.out.println("shit: " + get_cnt_with_max_no_more(max_r));
    while(max_r - max_l > 1):
        mid = (max_l + max_r) // 2;
        if(get_cnt_with_max_no_more(mid) > n):
            max_r = mid;
        else:
            max_l = mid;
    
    max = max_r;
    n -= get_cnt_with_max_no_more(max - 1);
    #cout << "n, max: " << n << " " << max << endl;
    return get_nth(max, 4, False, n);


def main():
    l, r = map(int, input().split())
    l -= 1
    r -= 1
    #cout << "get_cnt_with_max_no_more(3): " << get_cnt_with_max_no_more(3) << endl;
    #auto sol = get_nth(4, 2, False, 3);
    #    for(x : sol)
    #        cout << x << " ";
    #    cout << endl;
    #return 0;
    for i in range(l, r + 1):
        sol = solution(i);
        a = sol[0]; b = sol[1]; c = sol[2]
        n = sol[3];
        #cout << sol[0] << "^" << sol[3] << "+" << sol[1] << "^" << sol[3] << "=" << sol[2] << "^" << sol[3] << "\n";
        lch = a ** n + b ** n
        rch = c ** n;
        #BigInteger a_big = BigInteger.valueOf(a);
        print(str(a) + "^" + str(n) + "+" + str(b) + "^" + str(n) + (">" if lch > rch else "<") + str(c) + "^" + str(n));
    
main()

