#include <bits/stdc++.h>

#define len(a) (int)a.size()
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()

using namespace std;
typedef long long ll;
typedef long double ld;

void boot_up() {
    #ifdef LOCAL
        // freopen("input.txt", "r", stdin);
        // freopen("output.txt", "w", stdout);
    #endif // LOCAL

    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}

const int MAX = 1007;

int a[MAX][MAX];

int main() {
    boot_up();
    int n, m;
    cin >> n >> m;

    for (int i = 0; i < MAX; ++i) {
        for (int j = 0; j < MAX; ++j) {
            if (!(1 <= i && i <= n && 1 <= j && j <= m)) {
                a[i][j] = 2;
            }
        }
    }

    a[1][1] = 1;
    a[n][m] = 1;

    for (int qqq = 0; qqq < 10; ++qqq) {
        string s = "";
        int dir = 0;
        int i = 1, j = 1;

        vector<pair<int, int> > path;
        path.emplace_back(1, 1);

        while (len(s) < n + m - 2) {
            if (a[i + 1][j] == 2 || a[i][j + 1] == 1) {
                s += "R";
                j++;
                dir = 1;
                path.emplace_back(i, j);
            }
            else if (a[i][j + 1] == 2 || a[i + 1][j] == 1) {
                ++i;
                s += "D";
                dir = 0;
                path.emplace_back(i, j);
            }
            else if (dir == 0) {
                int ii = i, jj = j;

                for (jj = j + 1; jj <= m + 1; ++jj) {
                    if (a[ii][jj] != 0) {
                        jj--;
                        break;
                    }
                }

                jj -= (jj - j) / 2;
                int cnt = jj - j;
                for (int qq = 0; qq < cnt; ++qq) {
                    s += "R";
                    ++j;
                    path.emplace_back(i, j);
                }
                dir = 1;
            }
            else {
                int ii = i, jj = j;

                for (ii = i + 1; ii <= n + 1; ++ii) {
                    if (a[ii][jj] != 0) {
                        --ii;
                        break;
                    }
                }

                ii -= (ii - i) / 2;
                int cnt = ii - i;
                for (int qq = 0; qq < cnt; ++qq) {
                    s += "D";
                    ++i;
                    path.emplace_back(i, j);
                }
                dir = 0;
            }

        }

            cout << "? " << s << endl;

            int t;
            cin >> t;

            vector<pair<int, int> > p;

            for (int r = 0; r < t; ++r) {
                int x, y;
                cin >> x >> y;
                p.emplace_back(x, y);
                a[x][y] = 1;
            }

            for (int r = 0; r < len(p) - 1; ++r) {
                int x, y;
                x = p[r].first;
                y = p[r].second;
                a[x][y] = 1;

                int xx = p[r + 1].first;
                int yy = p[r + 1].second;
                a[xx][yy] = 1;

                if (xx - x + yy - y == 1) {
                    // continue;
                    int x2, y2;
                    x2 = x - 1;
                    y2 = y + 1;

                    for (x2 = x - 1; x2 > 0; --x2) {
                        for (y2 = y + 1; y2 <= m; ++y2) {
                            if (a[x2][y2] == 0) {
                                a[x2][y2] = 2;
                            }
                            else {
                                break;
                            }
                        }
                    }

                    for (x2 = x + 1; x2 <= n; ++x2) {
                        for (y2 = y - 1; y2 > 0; --y2) {
                            if (a[x2][y2] == 0) {
                                a[x2][y2] = 2;
                            }
                            else {
                                break;
                            }
                        }
                    }
                }

                if (s[x + y - 2] == 'R') {
                    int pos1, pos2;

                    for (int aa = 0; aa < len(path); ++aa) {
                        if (x == path[aa].first && y == path[aa].second) {
                            pos1 = aa;
                        }

                        if (xx == path[aa].first && yy == path[aa].second) {
                            pos2 = aa;
                        }
                    }


                    for (int aa = pos1; aa <= pos2; ++aa) {
                        int x1 = path[aa].first;
                        int y1 = path[aa].second;

                        int flag = 0;

                        if (x1 == xx) {
                            flag = 1;
                        }

                        for (int ee = x1 + flag; ee > 0; --ee) {
                            if (a[ee][y1] == 0) {

                                for (int ss = y1; ss <= m; ++ss) {
                                    if (a[ee][ss] == 0) {
                                        a[ee][ss] = 2;
                                    }
                                    else {
                                        break;
                                    }
                                }
                            }
                            else {
                                break;
                            }
                        }
                    }
                }
                else {
                    int pos1, pos2;

                    for (int aa = 0; aa < len(path); ++aa) {
                        if (x == path[aa].first && y == path[aa].second) {
                            pos1 = aa;
                        }

                        if (xx == path[aa].first && yy == path[aa].second) {
                            pos2 = aa;
                        }
                    }


                    for (int aa = pos1; aa <= pos2; ++aa) {
                        int x1 = path[aa].first;
                        int y1 = path[aa].second;

                        int flag = 0;

                        if (y1 == yy) {
                            flag = 1;
                        }

                        for (int ee = x1 - flag; ee <= n; ++ee) {
                            if (a[ee][y1] == 0) {

                                for (int ss = y1; ss > 0; --ss) {
                                    if (a[ee][ss] == 0) {
                                        a[ee][ss] = 2;
                                    }
                                    else {
                                        break;
                                    }
                                }
                            }
                            else {
                                break;
                            }
                        }
                    }
                }
                a[xx][yy] = 1;
                a[x][y] = 1;


            }
            /*for (int tt = 0; tt <= n + 1; ++tt) {
                    for (int uu = 0; uu <= m + 1; ++uu) {
                        cout << a[tt][uu] << ' ';
                    }
                    cout << endl;
                }
                cout << endl;*/
    }
    cout << "! ";
    string s = "";
        int dir = 0;
        int i = 1, j = 1;

        vector<pair<int, int> > path;
        path.emplace_back(1, 1);

        while (len(s) < n + m - 2) {
            if (a[i + 1][j] == 2 || a[i][j + 1] == 1) {
                s += "R";
                j++;
                dir = 1;
                path.emplace_back(i, j);
            }
            else if (a[i][j + 1] == 2 || a[i + 1][j] == 1) {
                ++i;
                s += "D";
                dir = 0;
                path.emplace_back(i, j);
            }
            else if (dir == 0) {
                int ii = i, jj = j;

                for (jj = j + 1; jj <= m + 1; ++jj) {
                    if (a[ii][jj] != 0) {
                        jj--;
                        break;
                    }
                }

                jj -= (jj - j) / 2;
                int cnt = jj - j;
                for (int qq = 0; qq < cnt; ++qq) {
                    s += "R";
                    ++j;
                    path.emplace_back(i, j);
                }
                dir = 1;
            }
            else {
                int ii = i, jj = j;

                for (ii = i + 1; ii <= n + 1; ++ii) {
                    if (a[ii][jj] != 0) {
                        --ii;
                        break;
                    }
                }

                ii -= (ii - i) / 2;
                int cnt = ii - i;
                for (int qq = 0; qq < cnt; ++qq) {
                    s += "D";
                    ++i;
                    path.emplace_back(i, j);
                }
                dir = 0;
            }

        }
    cout << s << endl;
    return 0;
}

