#include <bits/stdc++.h>

using namespace std;

#define FOR(i, n) for (int i = 0; i < n; ++i)
#define debug(x) cout << #x << ": " << x << endl;
#define fi first
#define se second
#define mp make_pair
#define pb push_back
#define all(a) a.begin(), a.end()

typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
#define int long long
template <typename T1, typename T2> bool chkmin(T1 &x, T2 y) { return y < x ? (x = y, true) : false; };
template <typename T1, typename T2> bool chkmax(T1 &x, T2 y) { return y > x ? (x = y, true) : false; };

void fast()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
}
const int N = 10;
int power[N];
std::vector<std::pair<int,int>> query;
int sz(int a) {
    if (a == 0) return 0;
    for (int i = N - 1; i >= 0; --i) {
        if (power[i] <= a) return i;
    }
}
int get(int a, int i) {
    return a / power[i] % 10;
}
int decrease(int a, int r) {
    int num = get(a, r);
    query.pb({0, power[r]});
    if (num != 0) {
        int s = 0;
        for (int j = sz(a); j > r; --j) {
            s += power[j];
        }
        if (s != 0) {
            query.pb({0, s});
        }
    }
    query.pb({1, 1});
    return a - num * power[r] + (num + 9) % 10 * power[r];
}
signed main()
{
    fast();
#ifdef DEBUG
    //freopen("in", "r", stdin);
#endif
    power[0] = 1;
    for (int i = 1; i < N; ++i) {
        power[i] = power[i - 1] * 10;
    }
    int a, b;
    std::cin >> a >> b;
    std::cout << "Stable\n";
//    int d = 0;
//    FOR(i, 2) {
//        d += power[i];
//    }
//    a += d * 9;
//    query.pb({0, d});
//    debug(a << ' ' << b)
//    debug(sz(a) << ' ' << sz(b))
//    while (sz(a) != sz (b))  {
//        if (sz(a) > sz(b)) {
//            a = decrease(a, sz(a));
////            debug(a)
//            continue;
//        }
//    }
    while (a != b) {
        for (int j = N - 1; j >= 0; --j) {
            if (get(a, j) != get(b, j)) {
                a = decrease(a, j);
            }
        }
    }
    std::cout << query.size() << '\n';
    for (auto e : query) {
        if (e.first == 0) {
            std::cout << '+' << ' ' << e.second << '\n';
        }
        else {
            std::cout << '-' << ' ' << e.second << '\n';
        }
    }
    return 0;
}