#include <bits/stdc++.h>

using namespace std;

#define int long long
#define ll long long
#define pb push_back
#define F first
#define S second

const ll INF = 5e6;

bool f(int x1, int y1, int x2, int y2, int x3, int y3, int x4, int y4) {
    ll z3 = (x3 - x1) * (y2 - y1) - (y3 - y1) * (x2 - x1);
    ll z4 = (x4 - x1) * (y2 - y1) - (y4 - y1) * (x2 - x1);
    ll z1 = (x1 - x3) * (y4 - y3) - (y1 - y3) * (x4 - x3);
    ll z2 = (x2 - x3) * (y4 - y3) - (y2 - y3) * (x4 - x3);
    ll L = max(min(x1, x2), min(x3, x4));
    ll R = min(max(x1, x2), max(x3, x4));
    ll N = max(min(y1, y2), min(y3, y4));
    ll W = min(max(y1, y2), max(y3, y4));
    if (z1 * z2 > 0) return false;
    if (z3 * z4 > 0) return false;
    if (z1 == 0 && z2 == 0 && z3 == 0 && z4 == 0) {
        if (R < L || W < N) return false;
        return true;
    }
    if (z1 == 0 && z2 == 0 && z3 == 0 && z4 == 0) return false;
    if (z1 * z2 > 0 || z3 * z4 > 0) {
        return false;
    } else return true;
}

int32_t main()
{
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif // LOCAL
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for (int i = 0; i < n; i++) {
        int ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy;
        cin >> ax1 >> ay1 >> ax2 >> ay2 >> bx1 >> by1 >> bx2 >> by2 >> vx >> vy;
        ll mn = min(INF / max(1ll, abs((ll)vx)), INF / max(1ll, abs((ll)vy))) + 1;
        if (f(ax1, ay1, ax1 + vx * mn, ay1 + vy * mn, bx1, by1, bx2, by2)) {
            cout << "Yes" << endl;
            continue;
        } else if (f(ax2, ay2, ax2 + vx * mn, ay2 + vy * mn, bx1, by1, bx2, by2)) {
            cout << "Yes" << endl;
            continue;
        } else if (f(bx1, by1, bx1 - vx * mn, by1 - vy * mn, ax1, ay1, ax2, ay2)) {
            cout << "Yes" << endl;
            continue;
        } else if (f(bx2, by2, bx2 - vx * mn, by2 - vy * mn, ax1, ay1, ax2, ay2)) {
            cout << "Yes" << endl;
            continue;
        } else cout << "No" << endl;
    }
}
