#include <bits/stdc++.h>

using namespace std;
#define fori(n) for (int i = 0; i < n; i++)
#define forj(n) for (int j = 0; j < n; j++)
#define ll long long
#define all(v) v.begin(), v.end()
#define pb push_back
#define ld long double
#define ff first
#define ss second
#define fast ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
//#pragma GCC optimize("unroll-loops", "fast-math", "Ofast", "no-stack-protector")
//#pragma GCC optimize("avx2")

ll mod = 1e9 + 7;
ll INF = (ll) 1e20;
ld eps = 1e-10;

struct point {
    ld x, y;

    point() {
        x = 0, y = 0;
    }

    point(ld a, ld b) {
        x = a, y = b;
    }
};

point operator-(point &a, point &b) {
    return point(b.x - a.x, b.y - a.y);
}


point operator+(point a, point b) {
    return point(b.x + a.x, b.y + a.y);
}

ld operator*(point a, point b) {
    return a.x * b.y - a.y * b.x;
}

point operator*(point a, ld k) {
    return point(a.x * k, a.y * k);
}

point operator/(point a, ld k) {
    return point(a.x / k, a.y / k);
}

ld operator%(point th, point p) {
    return th.x * p.x + th.y * p.y;
}

bool eq(ld a, ld b) {
    return fabs(a - b) <= eps;
}

bool lessoreq(ld a, ld b) {
    return (a < b || eq(a, b));
}

bool isonline(point th, point a, point b) {
    return eq((a - th) * (b - th), 0);
}

bool isonseg(point th, point a, point b) {
    return (isonline(th, a, b) && lessoreq((a - th) % (b - th), 0));
}

point umn(point a, ld k) {
    return point(a.x * k, a.y * k);
}

//int getIntersection(point &a, point &b, point &c, point &d, point &ans) {
//    point v = b - a;
////    cout << "INGET1: " << v.x << ' ' << v.y << '\n';
//    cout << a.x << ' ' << a.y << ' ' << b.x << ' ' << b.y << ' ' << v.x << ' ' << v.y << '\n';
//    ld s1 = (c - a) * (d - a);
//    ld s2 = (d - b) * (c - b);
//    ld s = s1 + s2;
////    cout << s << ' ' << s1 << ' ' << s2 << '\n';
//    if(eq(s, 0)) {
//        if(!isonline(a, c, d))
//            return 0;
//        return 2;
//    }
//    v = v / s;
//    v = v * s1;
////    cout << "INGET2: " << v.x << ' ' << v.y << '\n';
//    ans = a + v;
//    return 1;
//}

double A, B, C;
ld getras(point &a, point &b, point &c) {
    A = a.y - b.y;
    B = b.x - a.x;
    C = -A * a.x - B * a.y;
    return (fabs(A * c.x + B * c.y + C) / sqrt(A * A + B * B));
}
double dist(point &a, point &b, point &c, point &d) {
    if (a.x == b.x) {
        point p1 = point(a.x, 10);
        point p2 = point(a.x, 200);
        point p3 = point(a.x, 600);
        if(eq(getras(c, d, p1), getras(c, d, p2)) && eq(getras(c, d, p2), getras(c, d, p3))) {
            return getras(c, d, p1);
        }
        else {
            return 0;
        }
    }
    ld Aa = a.y - b.y;
    ld Bb = b.x - a.x;
    ld Cc = -A * a.x - B * a.y;
    ld y1 = (Cc - Aa * 10) / Bb;
    ld y2 = (Cc - Aa * 200) / Bb;
    ld y3 = (Cc - Aa * 600) / Bb;
    point p1 = point(1, y1);
    point p2 = point(2, y2);
    point p3 = point(3, y3);
    if(eq(getras(c, d, p1), getras(c, d, p2)) && eq(getras(c, d, p2), getras(c, d, p3))) {
        return getras(c, d, p1);
    }
    else {
        return 0;
    }
}
void solve() {
    point a, b, c, d;
    cin >> a.x >> a.y >> b.x >> b.y >> c.x >> c.y >> d.x >> d.y;
    point v;
    cin >> v.x >> v.y;
    double l = 0, r = 10000000;
    double m1, m2;
    point a1, b1, a2, b2;
    double d1, d2;
    fori(64) {
        m1 = l + (r - l) / 3;
        m2 = r - (r - l) / 3;
        a1.x = a.x + m1 * v.x;
        a1.y = a.y + m1 * v.y;
        b1.x = b.x + m1 * v.x;
        b1.y = b.y + m1 * v.y;

        a2.x = a.x + m2 * v.x;
        a2.y = a.y + m2 * v.y;
        b2.x = b.x + m2 * v.x;
        b2.y = b.y + m2 * v.y;
        d1 = dist(a1, b1, c, d);
        d2 = dist(a2, b2, c, d);
        if (d1 > d2) l = m1;
        else r = m2;
    }
    if (d1 < eps) cout << "Yes\n";
    else cout << "No\n";
}

int gavno() {
    fast
    ll t;
    cin >> t;
    while (t--) {
        solve();
    }
}


int n, m;
vector < int > lev, rev;
vector < vector < int > > bubas;
string draw(int x1, int y1, int x2, int y2) {
    //cout << x1 << " " << y1 << " " << x2 << " " << y2 << endl;
    if (x1 > x2) return "";
    int mid = x1 + x2;
    mid /= 2;
    string ret;
    fori(mid - x1) ret.pb('D');
    fori(y2 - y1) ret.pb('R');
    fori(x2 - mid) ret.pb('D');
    return ret;
}
string ask(int x1, int y1, int x2, int y2) {

}
int main() {
    //gavno();
    //return 0;
    cin >> n >> m;
    if (n == 1) {
        cout << "! ";
        fori(m) cout << 'D';
        return 0;
    }
    if (m == 1) {
        cout << "! ";
        fori(n) cout << 'R';
        return 0;
    }
    lev.resize(n);
    rev.resize(n);
    fori(n) {
        lev[i] = -1;
        rev[i] = -1;
    }
    lev[0] = 0;
    rev[n - 1] = m - 1;
    for (int t = 0; t < 10; t++) {
        vector < pair < int, int > > asks;
        string s;
        int l = -1;
        for (int i = 0; i < n; i++) {
            if (lev[i] != -1 && rev[i] == -1) l = i;
            if (lev[i] == -1 && rev[i] != -1) {
                int r = i;
                asks.pb({l, r});
            }
        }
        //fori(asks.size()) cout << asks[i].ff << " " << asks[i].ss << endl;
        if (asks.size() == 0) break;

        for (int i = 0; i < asks.size(); i++) {
            s += draw(asks[i].ff, lev[asks[i].ff], asks[i].ss, rev[asks[i].ss]);
            if (i != asks.size() - 1) {
                s += draw(asks[i].ss, rev[asks[i].ss], asks[i + 1].ff, lev[asks[i + 1].ff]);
            }
        }
        cout << "? " << s << endl;
        int cnt;
        cin >> cnt;
        bubas.clear();
        bubas.resize(n);
        fori(cnt) {
            int x, y;
            cin >> x >> y;
            x--; y--;
            bubas[x].push_back(y);
        }
        fori(n) sort(all(bubas[i]));
        fori(asks.size()) {
            int mid = (asks[i].ff + asks[i].ss) / 2;
            lev[mid] = bubas[mid][0];
            rev[mid] = bubas[mid].back();
            if (mid != n - 1) {
                lev[mid + 1] = rev[mid];
            }
            if (mid != 0) {
                rev[mid - 1] = lev[mid];
            }
        }
    }
    string ans;
    fori(n) {
        int cnt = rev[i] - lev[i];
        forj(cnt) ans.pb('R');
        if (i != n - 1)
            ans.pb('D');
    }
    cout << "! " << ans << endl;
    return 0;
}
