#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <iostream>
#include <algorithm>
#include <math.h>
#include <assert.h>
#include <vector>

using namespace std;

int n, m;
char s[3000];
int sz = 0;
int ok = 2;
int arr[2000][2000];
pair<int, int> path[3000];
int ps;
int cnt = 0;

void ask() {
	cnt++;
	assert(cnt <= 10);
	cout << "? ";
	for (int i = 0; i < sz; i++) cout << s[i];
	cout << endl;
	int res;
	scanf("%d", &res);
	int v, u;
	for (int i = 0; i < res; i++) {
		scanf("%d %d", &v, &u);
		v--; u--;
		arr[v][u] = 1;
	}
}

bool toAsk;
void buildPath(int pos) {
	pair<int, int> tmp = path[pos + 1];
	while (path[pos] != path[pos + 1] && ((path[pos].first == n - 1 || arr[path[pos].first + 1][path[pos].second] == -1) ||
		(path[pos].second == m - 1 || arr[path[pos].first][path[pos].second + 1] == -1) || (path[pos].first == path[pos + 1].first)
		|| (path[pos].second == path[pos + 1].second))) {
		if ((path[pos].first == n - 1 || arr[path[pos].first + 1][path[pos].second] == -1)) {
			path[pos].second++;
			s[sz++] = 'R';
		}
		else if (path[pos].second == m - 1 || arr[path[pos].first][path[pos].second + 1] == -1) {
			path[pos].first++;
			s[sz++] = 'D';
		}
		else if (path[pos].first == path[pos + 1].first) {
			path[pos].second++;
			s[sz++] = 'R';
		}
		else if (path[pos].second == path[pos + 1].second) {
			path[pos].first++;
			s[sz++] = 'D';
		}
	}
	vector<char> t;
	while (path[pos] != path[pos + 1] && ((path[pos + 1].first == 0 || arr[path[pos + 1].first - 1][path[pos + 1].second] == -1) ||
		(path[pos + 1].second == 0 || arr[path[pos + 1].first][path[pos + 1].second - 1] == -1) || (path[pos].first == path[pos + 1].first)
		|| (path[pos].second == path[pos + 1].second))) {
		if (path[pos + 1].first == 0 || arr[path[pos + 1].first - 1][path[pos + 1].second] == -1) {
			path[pos + 1].second--;
			t.push_back('R');
		}
		else if (path[pos + 1].second == 0 || arr[path[pos + 1].first][path[pos + 1].second - 1] == -1) {
			path[pos + 1].first--;
			t.push_back('D');
		}
		else if (path[pos].first == path[pos + 1].first) {
			path[pos + 1].second--;
			t.push_back('R');
		}
		else if (path[pos].second == path[pos + 1].second) {
			path[pos + 1].first--;
			t.push_back('D');
		}
	}
	
	int l = path[pos + 1].second - path[pos].second;
	for (int i = 0; i < l / 2; i++) {
		s[sz++] = 'R';
		toAsk = true;
	}
	for (int i = 0; i < path[pos + 1].first - path[pos].first; i++) {
		s[sz++] = 'D';
		toAsk = true;
	}
	for (int i = l / 2; i < l; i++) {
		s[sz++] = 'R';
		toAsk = true;
	}

	for (int i = t.size() - 1; i >= 0; i--) {
		s[sz++] = t[i];
	}
	path[pos + 1] = tmp;
}

void calc() {
	ps = 0;
	for (int j = 0; j < m; j++) {
		for (int i = 0; i < n; i++) {
			if (arr[i][j] == 1) {
				path[ps].first = i;
				path[ps].second = j;
				ps++;
			}
		}
	}
	sz = 0;
	toAsk = false;
	for (int i = 0; i < ps - 1; i++) {
		buildPath(i);
	}
	int v = 0, u = 0;
	if (!toAsk) return;
	for (int i = 0; i < n + m - 2; i++) {
		arr[v][u] = -1;
		if (s[i] == 'D') v++;
		else u++;
	}
	ask();
}

int main() {
	ios_base::sync_with_stdio(false);
	scanf("%d %d", &n, &m);
	for (int i = 0; i < n; i++)
		for (int j = 0; j < m; j++)
			arr[i][j] = 0;
	arr[0][0] = 1; arr[n - 1][m - 1] = 1;
	ok = 2;
	while (ok != m + n - 1) {
		calc();
		if (!toAsk) break;
		ok = 0;
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++)
				if (arr[i][j] == 1) {
					ok += arr[i][j];
				}
		}
	}
	toAsk = 1;
	if (!toAsk) {
		cout << "! ";
		for (int i = 0; i < n + m - 2; i++) {
			cout << s[i];
		}
		cout << endl;
	}
	else {
		cout << "! ";
		int v = 0, u = 0;
		for (int i = 0; i < n + m - 2; i++) {
			if (u == m - 1 || arr[v][u + 1] != 1) {
				v++;
				cout << "D";
			}
			else {
				u++;
				cout << "R";
			}
		}
		cout << endl;
	}
	return 0;
}