#include <bits/stdc++.h>
using namespace std;

struct Vec{
    int x, y;
    Vec operator- (const Vec &a){
        return {x - a.x, y - a.y};
    }
    long long operator% (const Vec &a){
        return 1LL *  x * a.y - 1LL * y * a.x;
    }
    long long operator* (const Vec& a){
        return 1LL * x * a.x + 1LL *  y * a.y;
    }
};

Vec c = {1, 0};

bool cmp(Vec &a, Vec &b){
    if (a % b == 0){
        return a % c > 0;
    }
    return a % b > 0;
}

bool ok(Vec &v, Vec &k, Vec &j){
    if (k % v == 0)
        return k * v >= 0;
    if (j % v == 0)
        return j * v >= 0;
    return k % v > 0 && j % v < 0;
}

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
//    ifstream cin ("input");
    int t;
    cin >> t;
    while (t--){
        Vec a1, a2, b1, b2, v;
        cin >> a1.x >> a1.y;
        cin >> a2.x >> a2.y;
        cin >> b1.x >> b1.y;
        cin >> b2.x >> b2.y;
        cin >> v.x >> v.y;
        vector <Vec> temp(4);
        temp[0] = b1 - a1;
        temp[1] = b2 - a1;
        temp[2] = b1 - a2;
        temp[3] = b2 - a2;
        sort(temp.begin(), temp.end(), cmp);
        if (ok(v, temp[0], temp[3])){
            cout << "Yes\n";
        } else{
            cout << "No\n";
        }
    }
    return 0;
}