#include<iostream>
#include<vector>
#include<algorithm>
#include<string>
#include<cmath>
#include<random>
#include<iomanip>
#include<queue>
#include<set>
#include<map>
#include<unordered_map>
#include<unordered_set>
using namespace std;

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);
	int n, m;
	cin >> n >> m;
	string s = "? ";
	for (int i = 0; i < (n) / 2; i++)
		s += 'D';
	for (int j = 0; j < m - 1; j++)
		s += 'R';
	for (int i = 0; i < (n - 1) / 2; i++)
		s += 'D';
	cout << s << endl;
	vector<vector<int>> g(n + 1, vector<int>(m + 1));
	while (true) {
		int n1;
		cin >> n1;
		for (int i = 0; i < n1; i++) {
			int x, y;
			cin >> x >> y;
			g[x - 1][y - 1] = 1;
		}
		int i = 0;
		int j = 0;
		for (int p = 2; p < s.size(); p++) {
			if (s[p] == 'R')
				j++;
			else
				i++;
			if (g[i][j] != 1)
				g[i][j] = -1;
			if (g[i][j] == 1) {
				if (i > 0 && j > 0) {
					if (g[i - 1][j] == 1)
						g[i][j - 1] = -1;
					else if (g[i - 1][j] == -1)
						g[i][j - 1] = 1;
					if (g[i][j - 1] == 1)
						g[i - 1][j] = -1;
					else if (g[i][j - 1] == -1)
						g[i - 1][j] = 1;
				}
				if (i < n - 1 && j < m - 1) {
					if (g[i][j + 1] == 1)
						g[i + 1][j] = -1;
					else if (g[i][j + 1] == -1)
						g[i + 1][j] = 1;
					if (g[i + 1][j] == 1)
						g[i][j + 1] = -1;
					else if (g[i + 1][j] == -1)
						g[i][j + 1] = 1;
				}
			}
		}
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				if (g[i][j] == 1) {
					if (i > 0 && j > 0) {
						if (g[i - 1][j] == 1)
							g[i][j - 1] = -1;
						else if (g[i - 1][j] == -1)
							g[i][j - 1] = 1;
						if (g[i][j - 1] == 1)
							g[i - 1][j] = -1;
						else if (g[i][j - 1] == -1)
							g[i - 1][j] = 1;
					}
					if (i < n - 1 && j < m - 1) {
						if (g[i][j + 1] == 1)
							g[i + 1][j] = -1;
						else if (g[i][j + 1] == -1)
							g[i + 1][j] = 1;
						if (g[i + 1][j] == 1)
							g[i][j + 1] = -1;
						else if (g[i + 1][j] == -1)
							g[i][j + 1] = 1;
					}

				}
			}
		}
		for (int i = 0; i < n; i++) {
			bool f = 0;
			bool d = 0;
			for (int j = 0; j < m; j++) {
				if (d && f)
					g[i][j] = -1;
				if (g[i][j] == 1)
					f = 1;
				if (f && g[i][j] == -1)
					d = 1;
			}
		}
		for (int i = n - 1; i >= 0; i--) {
			bool f = 0;
			bool d = 0;
			for (int j = m - 1; j >= 0; j--) {
				if (d && f)
					g[i][j] = -1;
				if (g[i][j] == 1)
					f = 1;
				if (f && g[i][j] == -1)
					d = 1;
			}
		}
		for (int i = 0; i < m; i++) {
			bool f = 0;
			bool d = 0;
			for (int j = 0; j < n; j++) {
				
				if (d && f) 
					g[j][i] = -1;
				if (g[j][i] == 1)
					f = 1;
				if (f && g[j][i] == -1)
					d = 1;
			}
		}
		for (int i = m - 1; i >= 0; i--) {
			bool f = 0;
			bool d = 0;
			for (int j = n - 1; j >= 0; j--) {

				if (d && f)
					g[j][i] = -1;
				if (g[j][i] == 1)
					f = 1;
				if (f && g[j][i] == -1)
					d = 1;
			}
		}
		s = "? ";
		vector<int> v;
		int k = 0;
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				bool f = 0;
				if (j < m - 1 && g[i][j + 1] == 1) {
					s += "R";
					f = 1;
				}
				else if (i < n - 1 && g[i + 1][j] == 1)
				{
					s += "D";
					f = 1;
				}
				
				if (!f) {
					int k = 1;
					for (int i1 = i; i1 < n; i1++) {
						for (int j1 = j; j1 < m; j1++) {
							if (g[i1][j1] == 1) {
								for (int i2 = 0; i2 < (i1 - i + 1) / 2; i2++)
									s += 'D';
								for (int j2 = 0; j2 < (j1 - j); j2++)
									s += 'R';
								for (int i2 = 0; i2 < (i1 - i) / 2; i2++)
									s += 'D';
								i = i1;
								j = j1;
								break;
							}
						}
					}
				}
			}

		}
		if (k == 0) {
			s[0] = '!';
			cout << s << endl;
		}
		else {
			cout << s << endl;
		}
	}
	
}