#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define size(s) (ll)s.size()

const ll N = 500;



struct Poll {
    ll x, y;
    Poll sub(Poll a){
        Poll ans;
        ans.x=x-a.x;
        ans.y=y-a.y;
        return ans;
    }
};

struct Line {
    ll A, B, C;
    Line() {}
    Line(Poll _a, Poll _b) {
        A = _b.y - _a.y;
        B = _a.x - _b.x;
        C = -(A * _a.x + B * _a.y);
    }
};

pair<int,int> ters(Line one, Line two) {
    return {two.A*one.B-one.A*two.B,-(one.C*two.A-one.A*two.C)};
}
bool fk(Poll a, Poll b, pair<double,double> k){
    double x = k.first;
    double y = k.second;
    if(x>=min(a.x,b.x)&&x<=max(a.x,b.x)&&y>=min(a.y,b.y)&&y<=max(a.y,b.y))return true;
    if(b.x>=min((double)a.x,x)&&b.x<=max((double)a.x,x)&&b.y>=min((double)a.y,y)&&b.y<=max((double)a.y,y))return true;
    return false;
}

bool fn(Poll a, Poll b, Poll c, Poll d){
    Line one(a,b);
    Line two(c,d);
    pair<int,int> k = ters(one,two);
    bool ans = false;
    if(k.first==0){
        if(k.second!=0)return false;
        else{
            if(fk(a,b,{c.x,c.y}))ans=true;
            if(fk(a,b,{d.x,d.y}))ans=true;
        }
    }else{
        double y = (double)(k.second)/(double)(k.first);
        double x = -(one.B*y+one.C);
        if(x>=min(c.x,d.x)&&x<=max(c.x,d.x)&&y>=min(c.y,d.y)&&y<=max(c.y,d.y)){
            if(fk(a,b,{x,y}))ans=true;
        }
    }
    return ans;
}

signed main() {
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    //freopen("output.txt", "w", stdout);
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    for(int i = 0;i < n;++i){
        Poll a,b,c,d,v;
        cin >> a.x >> a.y;
        cin >> b.x >> b.y;
        cin >> c.x >> c.y;
        cin >> d.x >> d.y;
        cin >> v.x >> v.y;
        bool ans = false;
        if(fn(a, a.sub(v), c, d))ans = true;
        if(fn(b, b.sub(v), c, d))ans = true;
        if(fn(c, c.sub(v), a, b))ans = true;
        if(fn(d, d.sub(v), a, b))ans = true;
        if(!ans) cout << "Yes\n";
        else cout << "No\n";
    }
}

/*
2
0 2 1 1 2 2 3 1 1 1
0 2 1 1 2 2 3 1 -1 -1
*/
