#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
typedef vector<ll> vi;
#define all(a) a.begin(), a.end()
#define fori(a, n) for(ll a = 0; a < (n); ++a)
#define forI(a, n) for(ll a = 1; a <= (n); ++a)
#define x first
#define y second
#define pt pair<ll, ll>

int m, n;

vector<pair<int, int>> p;

string makeStr(int l, int a, int r, int b) {
    int mid = (l + r) >> 1;

    string s = "";
    for (int i = l; i < mid; ++i) {
        s += "R";
    }
    for (int i = a; i < b; ++i) {
        s += "D";
    }
    for (int j = mid; j < r; ++j) {
        s += "R";
    }

    return s;
}

string makeReq() {
    string req = "";

    for(int i = 0; i < p.size() - 1; i += 2) {
        req += makeStr(p[i].first, p[i].second, p[i + 1].first, p[i + 1].second);

        if (i + 2 < p.size()) {
            int x = p[i + 1].first + 1;
            int y = p[i + 1].second;
            int y2 = p[i + 2].second;

            req += "R";

            for (int j = y; j < y2; ++j) {
                req += "D";
            }

            req += "R";
        }
    }

    return req;
}

void solve() {
    cin >> n >> m;

    vector<vi> a(n + 2, vi(m + 2, 0));
    p.push_back({1, 1});
    p.push_back({m, n});

    for (int i = 0; i < 10; ++i) {
        string s = makeReq();
        cout << "? " << s << endl;

        int q;
        cin >> q;

        for (int j = 0; j < q; ++j) {
            int x, y;
            cin >> x >> y;

            a[x][y] = 1;
        }

        if(q == n + m - 1) {
            cout << "! " << s << endl;
            break;
        }

        vector<pair<int, int>> p2;

        for (int k = 0; k < p.size() - 1; k += 2) {
            int l = p[k].first;
            int r = p[k + 1].first;

            int mid = (l + r) >> 1;

            int mn = 999999, mx = -1;

            for (int j = 1; j <= n ; ++j) {
                if(a[j][mid] == 1) {
                    if(mn == 999999) {
                        mn = j;
                    }
                    mx = j;
                }
            }

            a[mn][mid - 1] = 1;
            a[mx][mid + 1] = 1;

            p2.push_back(p[k]);
            p2.push_back({mid - 1, mn});
            p2.push_back({mid + 1, mx});
            p2.push_back(p[k + 1]);
        }

        p = p2;
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#define DEBUG0
#ifdef DEBUG
    freopen("input.txt", "r", stdin);
#endif
    solve();
}