class Vector:
    def __init__(self, x, y):
        self.x = x
        self.y = y
    
    def dot(self, b):
        return self.x * b.x + self.y * b.y
    
    def cross(self, b):
        return self.x * b.y - self.y * b.x
    
    def __add__(self, b):
        return Vector(self.x + b.x, self.y + b.y)
    
    def __sub__(self, b):
        return Vector(self.x - b.x, self.y - b.y)    
    
def sign(x):
    if x > 0:
        return 1
    elif x < 0:
        return -1
    else:
        return 0

n = int(input())
arr = []
for i in range(n):
    ax1, ay1, ax2, ay2, bx1, by1, bx2, by2, vx, vy = map(int, input().split())
    a1 = Vector(ax1, ay1)
    a2 = Vector(ax2, ay2)
    b1 = Vector(bx1, by1)
    b2 = Vector(bx2, by2)
    v = Vector(vx, vy)
    
    c1 = v.cross(b1 - a1)
    c2 = v.cross(b2 - a1)
    c3 = v.cross(b1 - a2)
    c4 = v.cross(b2 - a2)
    d1 = v.dot(b1 - a1)
    d2 = v.dot(b2 - a1)
    d3 = v.dot(b1 - a2)
    d4 = v.dot(b2 - a2)
    sgs = [sign(x) for x in [c1, c2, c3, c4]]
    
    '''if (sgs[0] == sgs[1] and sgs[0] == sgs[2] and sgs[0] == sgs[3] and (sgs[0] != 0 or (d1 < 0 and d2 < 0 and d3 < 0 and d4 < 0))) or (sgs[0] != sgs[2] and d1 < 0 and d3 < 0) or (sgs[1] != sgs[3] and d2 < 0 and d4 < 0):
        print('No')
    else:
        print('Yes')'''
    
    if ((sgs[0] != sgs[2] or sgs[0] == 0) and d1 >= 0 and d3 >= 0) or ((sgs[1] != sgs[3] or sgs[1] == 0) and d2 >= 0 and d4 >= 0):
        print('Yes')
    else:
        print('No')