#include <iostream>
#include <vector>
#include <string>

using namespace std;

vector<bool> d;

pair<string, int> get(int x1, int y1, int x2, int y2)
{
	if (x2 - x1 == 0)
		return { "R", 1 };
	if (y2 - y1 == 0)
		return { "D", 1 };

	int m = (x1 + x2) / 2;

	if (x2 - x1 == 1)
	{
		if (d[m])
		{
			string k(y2 - y1, 'D');
			return { "R" + k, y2 - y1 };
		}
		else
		{
			string k(y2 - y1, 'D');
			d[m] = 1;
			return { k + "R", 1 };
		}
	}

	string res = "";
	res += string(m - x1, 'R');
	res += string(y2 - y1, 'D');
	res += string(x2 - m, 'R');

	return { res, 1 };
}

int main()
{
	int n, m;
	cin >> n >> m;
	swap(n, m);

	d.resize(n, 0);
	vector<pair<int, int>> c;
	c.emplace_back(0, 0);
	c.emplace_back(n - 1, m - 1);

	while (1)
	{
		string r1 = "";
		int r2 = 0;

		for (int i = 0; i < c.size() - 1; i++)
		{
			auto t = get(c[i].first, c[i].second, c[i + 1].first, c[i + 1].second);
			r1 += t.first;
			r2 += t.second;
		}
		if (r2 < n + m - 2)
		{
			cout << '?' << ' ' << r1 << endl;
			int s;
			cin >> s;

			c.resize(s);

			for (int i = 0; i < s; i++)
			{
				cin >> c[i].first >> c[i].second;
			}
		}
		else
		{

			cout << '!' << ' ' << r1 << endl;
			break;
		}
	}

	return 0;
}