#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#define int long long

using namespace std;

typedef long double ld;

int pow(int v, int st) {
	int x = 1;
	for (int i = 0; i < st; ++i)
		x *= v;
	return x;
}
ld pow(ld v, int st) {
	ld x = 1;
	for (int i = 0; i < st; ++i)
		x *= v;
	return x;
}


pair<int, int> get(int num) {
	int ws = 0;
	for (int mx = 3; mx <= 1003; ++mx)
	{
		int nw = pow(mx, 3) * (mx - 2) - pow(mx - 1, 3) * (mx - 3);
		if (nw + ws >= num)
			return { ws, mx };
		ws += nw;
		ws = max(ws, (int)0);
	}
}

int gett(int len, int mx, bool nd) {
	int val = pow(mx, len - 1) * (mx - 2);
	if (nd == 1)
		return val;
	val -= pow(mx - 1, len - 1) * (mx - 3);
	return val;
}

vector<int> rec(vector<int> ans, int num,  int len, int mx, int nd)
{
	/*
	if (ans.size() == 3) {
		ans.push_back(num + 2);
		return ans;
	}
	*/
	int st = 1;
	if (ans.size() == 3 && !nd) {
		ans.push_back(mx);
		return ans;
	}
	else if (ans.size() == 3) {
		ans.push_back(num + 2);
		return ans;
	}
	else if (ans.size() == 3)
		st = 3;
	for (int i = st; i < mx; ++i)
	{
		if (gett(len - 1, mx, nd) >= num)
		{
			ans.push_back(i);
			return rec(ans, num, len - 1, mx, nd);
		}
		num -= gett(len - 1, mx, nd);
	}
	ans.push_back(mx);
	return rec(ans, num, len - 1, mx, 1);
}

void solve(int num) {
	auto mm = get(num);
	int mx = mm.second;
	num -= mm.first;

	bool nd = false;
	int len = 4;
	vector<int> ans = rec({}, num, len, mx, 0);

	if (0){
		cout << num << ": " << ans[0] << ' ' << ans[1] << ' ' << ans[2] << ' ' << ans[3] << '\n';
		return;
	}

	cout << ans[0] << "^" << ans[3] << "+" << ans[1] << "^" << ans[3];
	ld A = ((ld)ans[0] / ans[1]),
		B = ((ld)ans[0] / ans[2]);
	if (pow(A, ans[3]) + pow(B, ans[3]) < (ld)1)
		cout << '<';
	else
		cout << '>';
	cout << ans[2] << "^" << ans[3] << '\n';

}

signed main(){
	int l, r;
	cin >> l >> r;
	for (int i = l; i <= r; ++i)
		solve(i);
}