#include<bits/stdc++.h>
#include<ext/pb_ds/assoc_container.hpp>
#include<ext/pb_ds/tree_policy.hpp>

#define pb push_back
#define mp make_pair
#define fi first
#define se second
#define all(x) (x).begin(), (x).end()

using namespace std;
using namespace __gnu_pbds;

typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
template<typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

const ll INF = (ll)1e9;

pll a1, a2, b1, b2, v;

void readP(pll &x) {
	scanf("%lld %lld", &x.fi, &x.se);
}

pll operator + (pll a, pll b) {
	return mp(a.fi + b.fi, a.se + b.se);
}

pll operator - (pll a, pll b) {
	return mp(a.fi - b.fi, a.se - b.se);
}

pll operator * (pll a, ll k) {
	return mp(a.fi * k, a.se * k);
}

ll cross(pll a, pll b) {
	return a.fi * b.se - b.fi * a.se;
}

ll sgn(ll x) {
	if (x < 0) {
		return -1;
	}

	if (x > 0) {
		return 1;
	}

	return 0;
}

ll area(pll a, pll b, pll c) {
	return cross(b - a, c - a);	
}

bool inter(ll lx, ll rx, ll ly, ll ry) {
	if (lx > rx) {
		swap(lx, rx);
	}

	if (ly > ry) {
		swap(ly, ry);
	}

	return max(lx, ly) <= min(rx, ry);
}

bool interl(pll a, pll b, pll c, pll d) {
	if (area(a, b, c) == 0ll && area(a, b, d) == 0ll) {
		return inter(a.fi, b.fi, c.fi, d.fi) && inter(a.se, b.se, c.se, d.se);
	}

	return sgn(area(a, b, c)) != sgn(area(a, b, d)) && sgn(area(c, d, a)) != sgn(area(c, d, b));
}

void solve() {
	readP(a1);
	readP(a2);
	readP(b1);
	readP(b2);
	readP(v);

	bool ans = 0;
	ll lim = INF / max(abs(v.fi), abs(v.se));
	
	ans |= interl(b1, b2, a1, a1 + v * lim);
	ans |= interl(b1, b2, a2, a2 + v * lim);
	ans |= interl(a1, a2, b1, b1 - v * lim);
	ans |= interl(a1, a2, b2, b2 - v * lim);		

	printf(ans ? "Yes\n" : "No\n");
}

int main() {
    int tt;
    scanf("%d", &tt);

    while (tt--) {
        solve();
    }

    return 0;
}