#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#include <bits/stdc++.h>
#define pb push_back
using namespace std;
typedef long long ll;
using namespace __gnu_pbds;
typedef tree<
int,
null_type,
less<int>,
rb_tree_tag,
tree_order_statistics_node_update>
ordered_set;

///*set.find_by_order(
using ld = long double;

const ll INF = 1e18;
const ld EPS = 1e-30;
#define int ll
#define deb(x) cout <<#x<<' '<<x<<endl;


ld sq(ld a) {
    return a * a;
}

struct point {
    ld x, y;
    point() {
        x = .0;
        y = .0;
    }
    void input() {
        cin >> x >> y;
    }
    void output() {
        cout << x << " " << y << " ";
    }
    ld getLen() {
        return sqrt(sq(x) + sq(y));
    }
    ld getAngle() {
        return atan2(y, x);
    }
    void tilt(ld angle) {
        ld newAngle = angle + getAngle();
        ld len = getLen();
        x = len * cos(newAngle);
        y = len * sin(newAngle);
    }
};


ld dis(point a, point b) {
    return sqrt(sq(a.x - b.x) + sq(a.y - b.y));
}

struct segment {
    point a, b;
    segment() {
        a = point();
        b = point();
    }
    void input() {
        a.input();
        b.input();
    }
    void output() {
        a.output();
        b.output();
        cout << endl;
    }
    void tilt(ld angle) {
        a.tilt(angle);
        b.tilt(angle);
    }

    void sorty() {
        if (a.y - b.y > -EPS) {
            swap(a, b);
        }
    }

    void sortx() {
        if (a.x - b.x > -EPS) {
            swap(a, b);
        }
    }
};



bool intersecty(segment f, segment s) {
    f.sorty();
    s.sorty();
    if ((f.a.y - s.a.y > -EPS && s.b.y - f.a.y > -EPS) || (f.b.y - s.a.y > -EPS && s.b.y - f.b.y > -EPS)) {
        return true;
    }
    return false;
}

bool intersectx(segment f, segment s) {
    f.sortx();
    s.sortx();
    if ((f.a.x >= s.a.x && f.a.x <= s.b.x) || (f.b.x >= s.a.x && f.b.x <= s.b.x)) {
        return true;
    }
}

#define Vector point

void solve() {
    segment f, s;
    Vector dir;
    f.input();
    s.input();
    dir.input();
    ld initAngle = atan2(dir.y, dir.x);
    f.tilt(-initAngle);
    s.tilt(-initAngle);
    f.sorty();
    s.sorty();
    if (!intersecty(f, s)) {
        cout << "No" << endl;
        return;
    }
    f.tilt(ld(90));
    s.tilt(ld(90));
    f.sortx();
    s.sortx();
    if (f.a.x > s.a.x) {
        cout << "No" << endl;
        return;
    }
    cout << "Yes" << endl;
    return;
}

 main() {
     ll n;
     cin >> n;
     for (int i = 1; i <= n; i ++) {
        solve();
     }
}
