#include <bits/stdc++.h>

using namespace std;

long long countDigits(long long n){
    long long cnt = 0;
    while(n > 0){
        n /= 10;
        cnt++;
    }
    return cnt;
}

long long binpow(long long a, long long n){
    long long res = 1;

    while(n) {
        if(n & 1) res = res * a;
        a = a * a;
        n >>= 1;
    }
    return res;
}

long long firstNum(long long n){
    return n / binpow(10, countDigits(n));
}

long long sumDigits(long long a){
    long long sum = 0;
    while(a > 0){
        sum += (a % 10);
        a /= 10;
    }

    return sum;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0), cout.tie(0);

    long long a, b; cin >> a >> b;

    if(a == b) {
        return cout << "0", 0;
    }


    vector<pair<string, long long>> ans;

    while(a > 0){
        string s = to_string(a);
        long long cnt = 0;
        while(s[0] == '1'){
            cnt++;
            s.erase(0, 1);
        }

        if(s.size() == 0) a = 0;
        else a = stoi(s);

        if(cnt > 0) ans.push_back({"-", cnt});

        if(a == 0) break;

        long long len = countDigits(a);
        long long r = binpow(10, len - 1);
        a += (r * 9);

        ans.push_back({"+", r});
    }

    long long cnt = 0;
    while(sumDigits(b) % 9 != 0){
        long long len = countDigits(b);
        b += binpow(10, len);
        cnt++;
    }

    if(b > 0) ans.push_back({"+", b / 9});
    if(cnt > 0) ans.push_back({"-", cnt});

    cout << ans.size() << "\n";
    for(auto i : ans){
        cout << i.first << " " << i.second << "\n";
    }
    return 0;
}
