#include <bits/stdc++.h>

#define F first
#define S second
#define pb push_back

using namespace std;
using vi = vector<int>;
using ll = long long;
using ld = long double;

const int N = 500, K = 500;

struct pt {
    int x, y;
    pt operator - (const pt& p) { return {x-p.x, y-p.y}; }
    pt operator + (const pt& p) { return {x+p.x, y+p.y}; }
    pt operator * (int m) { return {x*m, y*m}; }
};

istream& operator >> (istream& is, pt& x) { return cin >> x.x >> x.y; }
ll mul_sin(pt a, pt b) { return (ll)a.x*b.y - (ll)a.y*b.x; }
ll mul_cos(pt a, pt b) { return (ll)a.x*b.x + (ll)a.y*b.y; }

bool check(pt va, pt vb, pt vm) {
    ll a = mul_sin(va, vm);
    ll b = mul_sin(vb, vm);
    if(a > b) swap(a, b);
    return a <= 0 && b >= 0 && mul_cos(va, vm)>=0 && mul_cos(vb,vm)>=0;
}

bool check(pt a1, pt a2, pt b1, pt b2, pt v) {
    return check(b1-a1, b2-a1, v) || check(b1-a2, b2-a2, v);
}

void solve() {
    pt a1, a2, b1, b2, v;
    cin >> a1 >> a2 >> b1 >> b2 >> v;
    cout << (check(a1, a2, b1, b2, v) || check(b1, b2, a1, a2, v*-1) ? "Yes" : "No") << endl;
}

int main() {
    int n; cin >> n;
    while(n--) solve();
}
