#include <bits/stdc++.h>
#define sz(a) (int)(s.size())

const int N = 2e5, INF = 1e9;

using namespace std;

using ll = long long;
using ld = long double;
using str = string;
using vi = vector <int>;
using pii = pair <int, int>;
using vpii = vector <pii>;

int n;
str s;

void solve(const string &s)
{
    str day, month, year;
    day.clear();
    month.clear();
    year.clear();
    int pos = 0;
    for (int i = 0; i < sz(s); ++i) {
        pos = i;
        if (s[i] == '/' || s[i] == '.') break;
        day += s[i];
    }

    while (day.size() < 2) day = '0' + day;
    for (int i = pos + 1; i < sz(s); ++i) {
        pos = i;
        if (s[i] == '/' || s[i] == '.') break;
        month += s[i];
    }
    while (month.size() < 2) month = '0' + month;
    for (int i = pos + 1; i < sz(s); ++i) {
        pos = i;
        if (s[i] == '/' || s[i] == '.') break;
        year += s[i];
    }
    while (year.size() != 4) year = '0' + year;
    if (s.find('/') != -1) swap(day, month);
    cout << day << '.' << month << '.' << year << ' ' << month << '/' << day << '/' << year << endl;
}

int main()
{
    ios::sync_with_stdio(0);cin.tie(nullptr);
    cin >> n;
    for (int i = 0; i < n; ++i) {
        cin >> s;
        solve(s);
    }
    return 0;
}
