#include <bits/stdc++.h>

using namespace std;

const int M = 510;

int dist[M][M], n, k, a[M][M];
vector<int> v[M];

void dfs(int p, int pr, int s, int d)
{
    dist[s][p] += d;
    for (int i : v[p])
        if (i != pr)
            dfs(i, p, s, d + 1);
}

int main()
{
    ios::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    cin >> n >> k;
    for (int id = 0; id < k; id++)
    {
        for (int i = 0; i < n; i++)
            v[i].clear();
        for (int i = 0; i < n - 1; i++)
        {
            int s, f;
            cin >> s >> f;
            s--, f--;
            v[s].push_back(f);
            v[f].push_back(s);
        }
        for (int i = 0; i < n; i++)
            dfs(i, -1, i, 0);
    }
    for (int i = 0; i < n; i++)
        for (int j = i; j < n; j++)
            for (int x = 0; x < n; x++)
                if (dist[i][j] == dist[i][x] + dist[x][j])
                    a[i][j]++;
    for (int i = 0; i < n; i++)
        for (int j = i + 1; j < n; j++)
            a[j][i] = a[i][j];
    for (int i = 0; i < n; i++)
    {
        for (int j = 0; j < n; j++)
            cout << a[i][j] << " ";
        cout << "\n";
    }
    return 0;
}