#include <iostream>
#include <string>
#include <sstream>
#include <vector>
#include <algorithm>


using namespace std;


#define int long long


string tos(int x) {
    if (x == 0) {
        return "0";
    }

    string s;

    while (x) {
        int d = x % 10;
        x /= 10;

        s += d + '0';
    }

    reverse(s.begin(), s.end());

    return s;
}


int stois(string s) {
    int x = 0;

    for (char c : s) {
        x = x * 10 + (c - '0');
    }

    return x;
}


string ones(int n) {
    string s;
    for (int i = 0; i < n; ++i) {
        s += '1';
    }

    return s;
}


void cut(string &s, int i) {
    if (s.length() == i) {
        s = "0";

        return;
    }

    s = s.substr(i, s.length() - i);
}


signed main() {
    int a, b;
    cin >> a >> b;

    vector<pair<char, int>> answ;

    string as = tos(a);
    string bs = tos(b);

    int ar = a % 9;
    int br = b % 9;

    if (ar <= as.length()) {
        ar += 9;
    }

    string aones = ones(ar);

    int aos = stois(aones);

    int diff = aos - a;

    answ.emplace_back('+', diff / 9);
    answ.emplace_back('-', ar);

    a += diff;
    as = tos(a);
    cut(as, ar);
    a = stois(as);

    if (a != 0) {
        return 1;
    }

    int boc = (9 - br) % 9;
    string bos = ones(boc);

    bs = bos + bs;

    int bb = stois(bs);

    if (bb > 0) {
        answ.emplace_back('+', bb / 9);
    }

    if (boc > 0) {
        answ.emplace_back('-', boc);
    }

    cout << "Stable" << '\n' << answ.size() << '\n';
    for (auto p : answ) {
        cout << p.first << ' ' << p.second << '\n';
    }

    return 0;
}
