#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;

struct segment
{
    int l, r;
};

int main()
{
//    ios_base::sync_with_stdio(false);
//    cin.tie(nullptr);

    int m, n;
    cin >> m >> n;

    vector<segment> segments;
    segments.push_back({0, n});

    vector<int> cd(n + 1, -1);
    cd[n] = m - 1;
    while (!segments.empty())
    {
        vector<segment> nseg;
        vector<int> ask;

        for (auto p : segments)
        {
            int m = (p.l + p.r) / 2;
            ask.push_back(m);

            if (m != p.l)
                nseg.push_back({p.l, m});
            if (m + 1 != p.r)
                nseg.push_back({m + 1, p.r});
        }

        int curx = 0;
        int cury = 0;
        string path;
        for (int i = 0; i < segments.size(); i++)
        {
            for (; curx < ask[i]; curx++)
                path += "R";
            for (; cury < cd[segments[i].r]; cury++)
                path += "D";

            if (i == segments.size() - 1)
            {
                for (; curx < n - 1; curx++)
                    path += "R";
                for (; cury < m - 1; cury++)
                    path += "D";
            }
            else
            {
                for (; curx < segments[i + 1].l; curx++)
                    path += "R";
            }
        }

        cout << "? " << path << endl;

        int q;
        cin >> q;

        vector<pair<int, int>> ans(q);
        for (int i = 0; i < q; i++)
            cin >> ans[i].first >> ans[i].second;

        for (auto p : ans)
            cd[p.second - 1] = max(cd[p.second - 1], p.first - 1);

        segments = nseg;
    }

    string ans;
    int y = 0;
    for (int x = 0; x < n; x++)
    {
        while (y < cd[x])
        {
            y++;
            ans += "D";
        }

        if (x != n - 1)
            ans += "R";
    }

    cout << "! " << ans << endl;

    return 0;
}