#define _CRT_SECURE_NO_WARNINGS
#include <iostream>
#include <set>
#include <map>
#include <vector>
#include <cmath>
#include <iomanip>
#include <string>
#include <algorithm>

using namespace std;

inline void input() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cin.tie(NULL);
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif _DEBUG
}

typedef long long ll;
typedef long double dbl;
const int INF = (int)1e9;
const dbl EPS = 1e-9;

pair<dbl, dbl> turn(pair<dbl, dbl> coor, dbl sin, dbl cos) {
	pair<dbl, dbl> ret;
	ret.first = coor.first * cos - coor.second * sin;
	ret.second = coor.first * sin + coor.second * cos;
	return ret;
}

dbl len(pair<dbl, dbl> a) {
	return sqrt(a.first * a.first + a.second * a.second);
}

int main() {
	input();
	int n;
	cin >> n;
	for (int j = 0; j < n; j++) {
		vector <pair<dbl, dbl> > arr(4);
		for (int i = 0; i < 4; i++) {
			cin >> arr[i].first >> arr[i].second;
		}
		pair<dbl, dbl> v;
		cin >> v.first >> v.second;
		dbl l = len(v);
		for (int i = 0; i < 4; i++) {
			arr[i] = turn(arr[i], v.first / l, v.second / l);
		}
		if (min(arr[0].second, arr[1].second) > max(arr[2].second, arr[3].second)) {
			cout << "NO\n";
			continue;
		}
		dbl ax1 = min(arr[0].first, arr[1].first);
		dbl ax2 = max(arr[0].first, arr[1].first);

		dbl bx1 = min(arr[2].first, arr[3].first);
		dbl bx2 = max(arr[2].first, arr[3].first);
		if (ax1 > bx1) {
			swap(ax1, bx1);
			swap(ax2, bx2);
		}
		if (ax2 > bx1 || abs(bx1 - ax2) < EPS)
			cout << "YES\n";
		else
			cout << "NO\n";
	}
}
