#include<bits/stdc++.h>

using namespace std;

#define ll long long

const ll PLS = 1e6 + 1;

struct pt
{
    ll x, y;
};

struct line
{
    long long a, b, c;
};

int n;

long long cp(pt a, pt b)
{
    return a.x * b.y - a.y * b.x;
}

long long sp(pt a, pt b)
{
    return a.x * b.x + a.y * b.y;
}

pt vect(pt a, pt b)
{
    return {b.x - a.x, b.y - a.y};
}

long long _dist(line l, pt a)
{
    long long d = l.a * a.x + l.b * a.y + l.c;

    if (d == 0) return 0;
    else if (d > 0) return 1;
    else return -1;
}

bool dist(pt a, pt b, pt c)
{
    line l = {b.y - a.y, a.x - b.x, b.x * a.y - a.x * b.y};

    return (_dist(l, c) == 0 && c.x >= min(a.x, b.x) && c.x <= max(a.x, b.x) && c.y >= min(a.y, b.y) && c.y <= max(a.y, b.y));
}

bool _check(pt a, pt b, pt a1, pt b1)
{
    line l = {b.y - a.y, a.x - b.x, b.x * a.y - a.x * b.y};
    line _l = {b1.y - a1.y, a1.x - b1.x, b1.x * a1.y - a1.x * b1.y};

    if (_dist(l, a1) * _dist(l, b1) <= 0 && _dist(_l, a) * _dist(_l, b) <= 0) return true;

    return false;
}

void read()
{
    cin >> n;
}

void run()
{
    for (int i = 1; i <= n; i++)
    {
        pt a, _a, b, _b, v;
        cin >> a.x >> a.y >> _a.x >> _a.y >> b.x >> b.y >> _b.x >> _b.y >> v.x >> v.y;

        while (v.x != 0 && abs(v.x) < PLS) v.x *= 10;
        while (v.y != 0 && abs(v.y) < PLS) v.y *= 10;

        pt a1 = {a.x + v.x, a.y + v.y};
        pt _a1 = {_a.x + v.x, _a.y + v.y};

        if (max(b.x, _b.x) < min(a.x, min(_a.x, min(a1.x, _a1.x))) || min(b.x, _b.x) > max(a.x, max(_a.x, max(a1.x, _a1.x))))
        {
            cout << "No" << endl;
            continue;
        }

        if (max(b.y, _b.y) < min(a.y, min(_a.y, min(a1.y, _a1.y))) || min(b.y, _b.y) > max(a.y, max(_a.y, max(a1.y, _a1.y))))
        {
            cout << "No" << endl;
            continue;
        }

        pt kek = vect(_b, b), lol = vect(a, a1);

        if (cp(kek, lol) == 0 && cp(vect(a, _a), vect(a, a1)) == 0)
        {
            line ch = {b.y - _b.y, _b.x - b.x, b.x * _b.y - _b.x * b.y};

            if (ch.a * a.x + ch.b * a.y + ch.c == 0)
            {
                cout << "Yes" << endl;
                continue;
            }
        }

        pt v1 = vect(a, _a), v2 = vect(_a, _a1), v3 = vect(_a1, a1), v4 = vect(a1, a);

        pt _v1 = vect(a, b), _v2 = vect(_a, b), _v3 = vect(_a1, b), _v4 = vect(a1, b);
        if ((cp(v1, _v1) < 0 && cp(v2, _v2) < 0 && cp(v3, _v3) < 0 && cp(v4, _v4) < 0) || (cp(v1, _v1) > 0 && cp(v2, _v2) > 0 && cp(v3, _v3) > 0 && cp(v4, _v4) > 0))
        {
            cout << "Yes" << endl;
            continue;
        }

        _v1 = vect(a, _b), _v2 = vect(_a, _b), _v3 = vect(_a1, _b), _v4 = vect(a1, _b);
        if ((cp(v1, _v1) < 0 && cp(v2, _v2) < 0 && cp(v3, _v3) < 0 && cp(v4, _v4) < 0) || (cp(v1, _v1) > 0 && cp(v2, _v2) > 0 && cp(v3, _v3) > 0 && cp(v4, _v4) > 0))
        {
            cout << "Yes" << endl;
            continue;
        }

        if (dist(a, _a, b) || dist(_a, _a1, b) || dist(_a1, a1, b) || dist(a1, a, b))
        {
            cout << "Yes" << endl;
            continue;
        }

        if (dist(a, _a, _b) || dist(_a, _a1, _b) || dist(_a1, a1, _b) || dist(a1, a, _b))
        {
            cout << "Yes" << endl;
            continue;
        }

        if (_check(b, _b, _a, _a1) && _check(b, _b, a, a1))
        {
            cout << "Yes" << endl;
            continue;
        }

        cout << "No" << endl;
    }
}

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0);

    read();
    run();

    return 0;
}
