#include<bits/stdc++.h>

using namespace std;

#define ll long long

const ll PLS = 1e6 + 7;

struct pt
{
    ll x, y;
};

struct line
{
    long long a, b, c;
};

int n;

long long cp(pt a, pt b)
{
    return a.x * b.y - a.y * b.x;
}

long long sp(pt a, pt b)
{
    return a.x * b.x + a.y * b.y;
}

pt vect(pt a, pt b)
{
    return {b.x - a.x, b.y - a.y};
}

bool check(pt x, pt y, pt z)
{
    long long d1 = cp(x, y), d2 = cp(z, y);

    if (d1 < 0) d1 = -1;
    else if (d1 > 0) d1 = 1;

    if (d2 < 0) d2 = -1;
    else if (d2 > 0) d2 = 1;

    if (d1 * d2 < 0) return true;
    if (d1 == 0 && sp(x, y) > 0) return true;
    if (d2 == 0 && sp(z, y) > 0) return true;

    return false;
}

long long _dist(line l, pt a)
{
    long long d = l.a * a.x + l.b * a.y + l.c;

    if (d == 0) return 0;
    else if (d > 0) return 1;
    else return -1;
}

bool _check(pt a, pt b, pt a1, pt b1)
{
    line l = {b.y - a.y, a.x - b.x, b.x * a.y - a.x * b.y};
    line _l = {b1.y - a1.y, a1.x - b1.x, b1.x * a1.y - a1.x * b1.y};

    if (_dist(l, a1) * _dist(l, b1) <= 0 && _dist(_l, a) * _dist(_l, b) <= 0) return true;

    return false;
}

void read()
{
    cin >> n;
}

void run()
{
    for (int i = 1; i <= n; i++)
    {
        pt a, _a, b, _b, v;
        cin >> a.x >> a.y >> _a.x >> _a.y >> b.x >> b.y >> _b.x >> _b.y >> v.x >> v.y;

        v.x *= PLS;
        v.y *= PLS;

        pt a1 = {a.x + v.x, a.y + v.y};
        pt _a1 = {_a.x + v.x, _a.y + v.y};

        pt f1 = vect(_a, a), f2 = vect(_a, _a1);
        pt f3 = vect(a1, a), f4 = vect(a1, _a1);

        pt _f1 = vect(a, _a), _f2 = vect(_a1, _a);
        pt _f3 = vect(a, a1), _f4 = vect(_a1, a1);

        pt f = vect(_a, b), _f = vect(a1, b), ff = vect(_a1, b), _ff = vect(a, b);
        if (check(f1, f, f2) && check(f3, _f, f4) && check(_f2, ff, _f4) && check(_f1, _ff, _f3))
        {
            cout << "Yes" << endl;
            continue;
        }

        f = vect(_a, _b), _f = vect(a1, _b), ff = vect(_a1, _b), _ff = vect(a, _b);
        if (check(f1, f, f2) && check(f3, _f, f4) && check(_f2, ff, _f4) && check(_f1, _ff, _f3))
        {
            cout << "Yes" << endl;
            continue;
        }

        if (_check(b, _b, a, _a))
        {
            cout << "Yes" << endl;
            continue;
        }

        if (_check(b, _b, _a, _a1) && _check(b, _b, a, a1))
        {
            cout << "Yes" << endl;
            continue;
        }

        /*
        pt f = vect(_a, b), _f = vect(a1, b), ff = vect(_a1, b), _ff = vect(a, b);
        if (check(f1, f, f2) && check(f3, _f, f4) && check(_f2, ff, _f4) && check(_f1, _ff, _f3))
        {
            cout << "Yes1" << endl;
            continue;
        }

        f = vect(_a, _b), _f = vect(a1, _b), ff = vect(_a1, _b), _ff = vect(a, _b);
        if (check(f1, f, f2) && check(f3, _f, f4) && check(_f2, ff, _f4) && check(_f1, _ff, _f3))
        {
            cout << "Yes2" << endl;
            continue;
        }

        if (_check(b, _b, a, _a))
        {
            cout << "Yes3" << endl;
            continue;
        }

        if (_check(b, _b, _a, _a1) && _check(b, _b, a, a1))
        {
            cout << "Yes4" << endl;
            continue;
        }*/

        cout << "No" << endl;
    }
}

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0);

    read();
    run();

    return 0;
}
