#include <bits/stdc++.h>

using namespace std;

short contains[501][501][501];
vector<bool> visited(500, false);
vector<vector<int>> g;
vector<bool> dfs(int v) {
    //cout<< v<<endl;
    if(visited[v]) return vector<bool>();
    visited[v] = true;
    int n = g.size();
    vector<bool> is(n, false);
    is[v] = true;
    for(int u: g[v]) {
        if(visited[u]) continue;
        vector<bool> is2 = dfs(u);
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < i; j++) {
                if(is2[i] != is2[j] && i != v && j != v) contains[i][j][v]++, contains[j][i][v]++;
            }
        }
        for(int i = 0 ; i < n; i++) is[i] = is[i]|is2[i];
    }

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < i; j++) {
            if(is[i] == is[j] && is[i]==1 && i != v && j != v) contains[i][j][v]--, contains[j][i][v]--;
        }
    }
    return is;
}

void check() {
    for(int i = 0; i < 500; i++) visited[i] = false;
    dfs(0);
}

int main()
{

    for(int i = 0; i < 500; i++) {
        for(int j = 0; j < 500; j++) {
            for(int k = 0; k < 500; k++) {
                contains[i][j][k] = 0;
            }
        }
    }

    int n, k;
    cin >> n >> k;

    for(int i = 0; i < k; i++) {
        vector<vector<int>> gn(n);
        for(int j = 0; j < n-1; j++) {
            int u, v;
            cin >> u >> v;
            u--, v--;
            gn[u].push_back(v);
            gn[v].push_back(u);
        }
        g = gn;
        check();
    }

    for (int i = 0; i < n; i++) {
        for (int j = 0 ;j < n; j++) {
            int ans = 2;
            for(int l = 0; l < 500; l++) {
                if(contains[i][j][l] == k) ans++;
            }
            if(i== j) ans--;
            cout << ans << " ";
        }cout << endl;
    }

    return 0;
}
