#include <bits/stdc++.h>

using namespace std;

#define int long long

int to_int(string s) {
    int res = 0;
    for (char c : s) res = res * 10 + c - '0';
    return res;
}

string to_norm(int x, int len) {
    string s = "";
    while (x) {
        s += char('0' + x % 10);
        x /= 10;
    }
    while (s.size() < len) s += "0";
    reverse(s.begin(), s.end());
    return s;
}

void solve() {
    string s;
    cin >> s;
    vector<int> kek;
    int type = 0;
    int sz = (int)s.size();
    int i = 0;
    while (i < sz) {
        if (s[i] == '.' || s[i] == '/') {
            if (s[i] == '/') type = 1;
            ++i;
            continue;
        }
        int j = i;
        while (j + 1 < sz && s[j + 1] != '.' && s[j + 1] != '/') ++j;
        string t = "";
        for (int ptr = i; ptr <= j; ++ptr) {
            t += s[ptr];
        }
        kek.push_back(to_int(t));
        i = j + 1;
    }
    if (type == 1) {
        swap(kek[0], kek[1]);
    }
    cout << to_norm(kek[0], 2) << "." << to_norm(kek[1], 2) << "." << to_norm(kek[2], 4) << " ";
    cout << to_norm(kek[1], 2) << "/" << to_norm(kek[0], 2) << "/" << to_norm(kek[2], 4) << "\n";
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    while(n--) {
        solve();
    }
    return 0;
}
