#pragma GCC optimize("Ofast")
#pragma GCC optimize("no-stack-protector")
#include <bits/stdc++.h>

using namespace std;


#define forn(i, n) for (int i = 0; i < (int)n; ++i)
#define firn(i, n) for (int i = 1; i < (int)n; ++i)
#define all(v) v.begin(), v.end()
#define list list228
typedef long long ll;

const char el = '\n';

const int N = 507;
const int INF = 1e9 + 228;

int n, k;
vector<int> g[N][N];
vector<int> gr[N * N + N * N];
int answer[N][N], dist[N * N * 2];
int T;
int f = 0;

void dfs(int v, int par) {
    gr[f].push_back(v);
    gr[v].push_back(f);
    for (int to : g[T][v]) {
        if (to == par) continue;
        dfs(to, v);
    }
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k;
    for (int t = 1; t <= k; ++t) {
        for (int i = 0; i < n - 1; ++i) {
            int u, v; cin >> u >> v;
            g[t][u].push_back(v);
            g[t][v].push_back(u);
        }
    }
    for (int i = 1; i <= n; ++i) {
        gr[i].reserve(k);
    }
    vector<int> q;
    q.reserve(n + n + 7);
    for (int x = 1; x <= n; ++x) {
        int ptr = n;
        for (int t = 1; t <= k; ++t) {
            T = t;
            for (int to : g[t][x]) {
                f = ++ptr;
                dfs(to, x);
            }
        }
        // dont forget to clear
        for (int s = 1; s <= n; ++s) {
            for (int i = 1; i <= ptr; ++i) {
                dist[i] = INF;
            }
            dist[s] = 0;
            q.clear();
            q.push_back(s);
            for (int i = 0; i < (int)q.size(); ++i) {
                int v = q[i];
                for (int to : gr[v]) {
                    if (dist[v] + 1 < dist[to]) {
                        dist[to] = dist[v] + 1;
                        if (dist[to] == 2) {
                            --answer[s][to];
                        } else {
                            q.push_back(to);
                        }
                    }
                }
            }
        }
        for (int i = 1; i <= ptr; ++i) {
            gr[i].clear();
        }
    }
    for (int i = 1; i <= n; ++i) {
        for (int j = 1; j <= n; ++j) {
            if (i == j) cout << 1 << ' ';
            else cout << answer[i][j] + n << ' ';
        }
        cout << '\n';
    }
    return 0;
}
