#include <iostream>
#include <vector>
#include <cstring>

using namespace std;

const int N = 1007;
pair <int, int> diap[N];
bool is_cur[N];
vector <int> cur;
int n, m;

string build(int x1, int y1, int x2, int y2) {
    if (x1 < 0 || y1 < 0 || x2 >= n || y2 >= m || x1 > x2 || y1 > y2) return "";
    int mid = (x1 + x2) / 2;
    //cout << x1 << ' ' << y1 << ' ' << x2 << ' ' << y2 << endl;
    //cout << x1 << ' ' << x2 << ' ' << mid << ' ' << diap[mid].first << endl;
    if (diap[mid].first != -1) {
        string s = build(x1, y1, mid - 1, diap[mid].first);
        //s += "D";
        for (int j = diap[mid].first; j < diap[mid].second; j++) s += "R";
        s += "D";
        s += build(mid + 1, diap[mid].second, x2, y2); 
        return s;
    }
    cur.push_back(mid);
    is_cur[mid] = 1;
    string s = "";
    for (int i = x1; i < mid; i++) s += "D";
    for (int i = y1; i < y2; i++) s += "R";
    for (int i = mid; i < x2; i++) s += "D";
    s += "D";
    return s;
}

int main() {
    cin >> n >> m;
    for (int i = 0; i < N; i++) diap[i] = {-1, -1};
    while (1) {
        cur.clear();
        memset(is_cur, 0, sizeof(is_cur));
        string s = build(0, 0, n - 1, m - 1);
        s.pop_back();
        if (cur.empty()) {
            cout << "! " << s << endl;
            return 0;
        }
        cout << "? " << s << endl;
        int t;
        cin >> t;
        for (int i = 0; i < t; i++) {
            int x, y;
            cin >> x >> y;
            x--;
            y--;
            if (is_cur[x]) {
                diap[x].second = y;
                if (diap[x].first == -1) diap[x].first = y;
            }
        }
    }
    return -1;
}
