#ifdef _DEV
#define DEV 1
#else
#define DEV 0
#endif

#include <bits/stdc++.h>

using namespace std;

void rmain(int test_id);

int main() {
    int tests = 1;
    if (DEV) {
        tests = 1000;
        freopen("input.txt", "r", stdin);
    } else {
        ios::sync_with_stdio(false);
        cin.tie(nullptr);
        cout << fixed << setprecision(15);
    }
    for (int t = 0; t < tests; ++t) {
        rmain(t);
        int ch = -1;
        while (DEV) {
            ch = getc(stdin);
            if (ch == -1 || !isspace(ch)) {
                break;
            }
        }
        if (ch == -1) {
            break;
        }
        ungetc(ch, stdin);
    }

    return 0;
}

using ll = long long;

int strip(string s) {
    while (s.size() > 1 && s[0] == '0') {
        s = s.substr(1);
    }
    return atoi(s.c_str());
}

string pad(int x, int w) {
    ostringstream oss;
    oss << x;
    string s = oss.str();
    while (s.size() < w) {
        s = "0" + s;
    }
    return s;
}

void rmain(int test_id) {
    (void) test_id;
    long long  x,y;
    cin >> x >> y;
    vector<pair<string,long long>> ms1;
    cout << "Stable\n";
    while(x!=0){
        long long k=1;
        while(k<=x){
            k*=10;
        }
        k/=10;
        ms1.push_back({"+ ",k});
        x+=9*k;
        x%=10*k;
        ms1.push_back({"- ", 1});
    }
    vector<long long>  ms;
    while(y){
        ms.push_back(y%10);
        y/=10;
    }
    long long mn=1;
    for(int i=0;i<ms.size();i++){
        ms1.push_back({"+ ", mn*((ms[i]*9)%10)});
        for(int j=0;j<9-ms[i];j++){
            ms1.push_back({"+ ",10*mn});
            ms1.push_back({"- ", 1});
        }
        mn*=10;
    }
    cout << ms1.size() << "\n";
    for(auto i:ms1){
        cout << i.first<<i.second << "\n";
    }
}