#include<bits/stdc++.h>
#define int long long
#define endl '\n'
#define forn(i, n) for (int (i) = 0; (i) < (n); ++(i))
#define all(a) (a).begin(), (a).end()
#define len(a) (int) (a).size()
using namespace std;
void solve();
signed main(){
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    solve();


    return 0;
}

const string ORD = "-+{}";
const int MAXN = 63;
const int MAXV = MAXN * MAXN * MAXN * 2;

string s;
int dp[MAXN][MAXN][MAXN][2]; // i,j,bal,flag
int V[MAXN][MAXN][MAXN][2], last  = 0;
vector<int> g[MAXV];
char used[MAXV];
int dp2[MAXV];
char used2[MAXV];

int n, K;

void dfs(int v) {
    used[v] = 1;

    for(auto& u: g[v]) {
        if(!used[u]) {
            dfs(u);
        }
    }
}

void solve() {
    cin >> s;
    n = len(s);

    for(int i = 0; i < n;) {
        if(s[i] == '-') {
            int j = i;

            while(j + 1 < n && s[j + 1] == '-') {
                ++j;
            }

            K += j - i;
            i = j + 1;
        } else {
            ++i;
        }
    }

    if(K & 1) {
        ++K;
    }

    for(int i = 0; i <= n; ++i) {
        for(int j = 0; j <= K; ++j) {
            for(int bal = 0; bal <= K; ++bal) {
                for(int flag = 0; flag <= 1; ++flag) {
                    V[i][j][bal][flag] = last++;
                }
            }
        }
    }

    dp[0][0][0][0] = 1;

    for(int i = 0; i <= n; ++i) {
        for(int j = 0; j <= K; ++j) {
            for(int bal = 0; bal <= K; ++bal) {
                for(int flag = 0; flag <= 1; ++flag) {
                    int we = V[i][j][bal][flag];

                    if(i < n && s[i] == '+') {
                        dp[i + 1][j][bal][0] += dp[i][j][bal][flag];
                        g[V[i + 1][j][bal][0]].push_back(we);
                    }

                    if(bal > 0 && j < K) {
                        dp[i][j + 1][bal - 1][0] += dp[i][j][bal][flag];
                        g[V[i][j + 1][bal - 1][0]].push_back(we);
                    }

                    if(j < K) {
                        dp[i][j + 1][bal + 1][0] += dp[i][j][bal][flag];
                        g[V[i][j + 1][bal + 1][0]].push_back(we);
                    }

                    if(i < n && s[i] == '-' && flag == 0) {
                        dp[i + 1][j][bal][1] += dp[i][j][bal][flag];
                        g[V[i + 1][j][bal][1]].push_back(we);
                    }
                }
            }
        }
    }

    int fcnt = dp[n][K][0][0] + dp[n][K][0][1];
    //cout << "@fcnt=" << fcnt << '\n';
    int q; cin >> q;

    if(q > fcnt) {
        cout << "Overlow\n";
    } else {
        dfs(V[n][K][0][0]);
        dfs(V[n][K][0][1]);
        dp2[V[n][K][0][0]] = 1;
        dp2[V[n][K][0][1]] = 1;

        deque<int> Q;
        Q.push_back(V[n][K][0][0]);
        Q.push_back(V[n][K][0][1]);

        while(!Q.empty()) {
            int v = Q.front();
            Q.pop_front();

            for (auto el: g[v]) {
                dp2[el] += dp2[v];
                if (!used2[el]) {
                    used2[el] = 1;
                    Q.push_back(el);
                }
            }
        }

        --q;
        int i = 0, j = 0, bal = 0, flag = 0;
        string answ;

        for(int phase = 0; phase < n + K; ++phase) {
            int pref = 0;

            //cout << "@state=" << i << ' ' << j << ' ' << bal << ' ' << flag << '\n';

            for(auto& ch: ORD) {
                int ni = -1, nj = -1, nbal = -1, nflag = -1;

                if(ch == '+') {
                    if(i >= n || s[i] != '+') {
                        continue;
                    }

                    ni = i + 1;
                    nj = j;
                    nbal = bal;
                    nflag = 0;
                } else if(ch == '{') {
                    if(j >= K || bal >= K) {
                        continue;
                    }

                    ni = i;
                    nj = j + 1;
                    nbal = bal + 1;
                    nflag = 0;
                } else if(ch == '}') {
                    if(j >= K || bal == 0) {
                        continue;
                    }

                    ni = i;
                    nj = j + 1;
                    nbal = bal - 1;
                    nflag = 0;
                } else if(ch == '-') {
                    if(i >= n || flag == 1 || s[i] != '-') {
                        continue;
                    }

                    ni = i + 1;
                    nj = j;
                    nbal = bal;
                    nflag = 1;
                } else {
                    assert(false);
                }

                if(!used[V[ni][nj][nbal][nflag]]) {
                    //cout << "@unused\n";
                    continue;
                }

                int oldpref = pref;
                pref += dp2[V[ni][nj][nbal][nflag]];

                if(pref >= q) {
                    q -= oldpref;
                    answ += ch;
                    i = ni;
                    j = nj;
                    bal = nbal;
                    flag = nflag;
                    break;
                }
            }
        }

        //cout << "@rem=" << q << '\n';
        cout << answ << '\n';
    }
}