#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include <set>
#include <cmath>
#include <sstream>
#include <queue>
#include <map>

#define M_PI 3.14159265358979323846

using namespace std;

#define deb(x) do { cout << #x" = " << x << endl ;} while (0)
// #define deb(x)

#define x first
#define y second
#define xy pair<int, int>

// struct xy
// {
// 	int x, y;
// };

int NN = 0;
int ask(string s)
{
	NN++;
	if (NN >= 10)
		throw;
	cout << "? " << s << endl;
}

signed main()
{
	int n, m;
	cin >> n >> m;

	vector<xy> k;
	k.push_back({ 1, 1 });
	k.push_back({ m, n });

	set<xy> defno;
	bool F = true;
	while (true) {
		string out;
		set<xy> path;

		int xx = 1;
		int yy = 1;
		path.insert({ 1, 1 });

		auto ans = [&](char dir) {
			out += dir;
			if (dir == 'D')
				yy++;
			else
				xx++;
			path.insert({ xx, yy });
		};

		bool ready = true;

		sort(k.begin(), k.end());
		k.resize(unique(k.begin(), k.end()) - k.begin());

		for (int i = 0; i < k.size() - 1; i++) {
			if (k[i + 1].x == k[i].x) {
				for (int ii = k[i].y; ii < k[i + 1].y; ii++)
					ans('D');
			}
			else if (k[i + 1].y == k[i].y) {
				for (int ii = k[i].x; ii < k[i + 1].x; ii++)
					ans('R');
			}
			else if (k[i + 1].x - k[i].x == 1) {
				if (defno.count({xx + 1, yy })) {
					for (int ii = k[i].y; ii < k[i + 1].y; ii++)
						ans('D');
					ans('R');
				}
				else {
					ans('R');
					for (int ii = k[i].y; ii < k[i + 1].y; ii++)
						ans('D');
				}
			}
			else {
				ready = false;

				int dy = k[i + 1].y - k[i].y;
				int dx = k[i + 1].x - k[i].x;

				int hdx = dx / 2;
				for (int ii = 0; ii < hdx; ii++)
					ans('R');
				for (int ii = 0; ii < dy; ii++)
					ans('D');
				for (int ii = 0; ii < dx - hdx; ii++)
					ans('R');
			}
		}

		if (ready) {
			cout << "! " << out.substr(0) << endl;
			return 0;
		}

		ask(out);
		int j;
		cin >> j;
		for (int i = 0; i < j; i++) {
			int a, b;
			cin >> a >> b;
			path.erase({ b, a });
			k.push_back({ b, a });
		}
		for (xy X : path)
			defno.insert(X);
	}

	throw;
}