#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include <cmath>
#include <sstream>
#include <queue>
#include <map>

#define M_PI 3.14159265358979323846

using namespace std;

#define deb(x) do { cout << #x" = " << x << endl ;} while (0)
// #define deb(x)

#define float long double
#define int long long
int sc(int a)
{
	int kc = 0;
	for (; a > 9; a /= 10)
		kc++;
	return kc;
}
signed main()
{
	int a, b;
	cin >> a >> b;
	map<int, pair<int, int>> mp;
	queue<pair<int, int>> q;
	mp[a] = { -1, 1 };
	int kc = 0;
	int sd[19];
	for (int i = 0, a = 1; i <= 18; i++,a *= 10)
		sd[i] = a;
	for (int i = a; i > 9; i /= 10)
		kc++;
	q.push({ a, kc });
	while (q.size() && mp[q.front().first].second < 1000)
	{
		pair<int, int> h = q.front();
		q.pop();
		if (h.first == b)
			break;
		if (h.first < b && h.first % 9 == b % 9)
		{
			mp[b] = { h.first, mp[h.first].second + 1 };
			break;
		}
		if (h.first / sd[h.second] == 1 && mp[h.first % sd[h.second]].second == 0)
		{
			mp[h.first % sd[h.second]] = { h.first, mp[h.first].second + 1 };
			q.push({h.first % sd[h.second], sc(h.first) });
		}
		if (h.second < 18)
		{
			int hh = (sd[h.second + 1] - h.first + 8) / 9;
			if (h.first + 9 * hh <= sd[18] && mp[h.first + 9 * hh].second == 0)
			{
				mp[h.first + 9 * hh] = { h.first, mp[h.first].second + 1 };
				q.push({ h.first + 9 * hh, h.second + 1 });
			}
		}
	}
	vector<pair<int, int>> ans;
	while (mp[b].first != -1)
	{
		if (b > mp[b].first)
			ans.push_back({ 1, (b - mp[b].first) / 9 });
		else ans.push_back({ 0, 1 });
		b = mp[b].first;
	}
	reverse(ans.begin(), ans.end());
	if (mp[b].second == 0)
	{
		cout << "Broken\n";
		return 0;
	}
	cout << "Stable\n";
	cout << ans.size() << endl;
	for (int i = 0; i < ans.size(); i++)
	{
		cout << "-+"[ans[i].first] << " " << ans[i].second << endl;
	}
	return 0;
}