#pragma GCC optimize("Ofast,unroll-loops,no-stack-protector")
#pragma GCC target("sse,sse4.1,sse4.2,sse3,ssse3,avx,avx2")
#include <bits/stdc++.h>
#include <immintrin.h>
using namespace std;
const int MAXN = 512;
vector<int> g[MAXN][MAXN];
__attribute__((aligned(32))) uint64_t val[MAXN][MAXN][8];
__attribute__((aligned(32))) uint64_t ca[8];
int ans[MAXN][MAXN];
void dfs(int v, int t, int p) {
    if (p != -1)
        memcpy(val[v][t], val[p][t], 64);
    val[v][t][v / 64] |= ((uint64_t)1 << (v & 63));
    for (int u : g[t][v])
        if (u != p)
            dfs(u, t, v);
}
int main() {
    ios_base::sync_with_stdio(false); cin.tie(0);
    int n, k;
    cin >> n >> k;
    for (int i = 0; i < k; ++i) {
        for (int j = 1; j < n; ++j) {
            int a, b;
            cin >> a >> b;
            --a;
            --b;
            g[i][a].push_back(b);
            g[i][b].push_back(a);
        }
    }
    uint64_t one = 0;
    for (int c = 0; c < 64; ++c)
        one |= ((uint64_t)1 << c);
    for (int r = 0; r < n; ++r) {
        for (int t = 0; t < k; ++t) {
            fill(val[r][t], val[r][t] + 8, 0);
            dfs(r, t, -1);
        }
        ans[r][r] = 1;
        for (int v = 0; v < r; ++v) {
            fill(ca, ca + 8, one);
            __m256i c1 = _mm256_load_si256((__m256i*)ca);
            __m256i c2 = _mm256_load_si256((__m256i*)(ca + 4));
            for (int i = 0; i < k; ++i) {
                __m256i n1 = _mm256_load_si256((__m256i *) (val[v][i]));
                __m256i n2 = _mm256_load_si256((__m256i *) (val[v][i] + 4));
                c1 = _mm256_and_si256(n1, c1);
                c2 = _mm256_and_si256(n2, c2);
            }
            _mm256_store_si256((__m256i*)ca, c1);
            _mm256_store_si256((__m256i*)(ca + 4), c2);
            for (int i = 0; i < 8; ++i)
                ans[v][r] += __builtin_popcountll(ca[i]);
        }
    }
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j)
            cout << ans[min(i, j)][max(i, j)] << " ";
        cout << "\n";
    }
    return 0;
}
/*
4 2
 1 3
 4 2
 3 4
 1 4
 4 3
 2 4


 */