#include <bits/stdc++.h>

#define fi first
#define se second
#define pb push_back

using namespace std;

typedef vector<int> vi;
typedef long long ll;
typedef long double ld;

const int INF32 = 2e9;
const ld PI = acos(-1);
const ld eps = 1e-9;

ld phi(ld fvx, ld fvy, ld svx = 0, ld svy = 0){
    ld vx = fvx - svx, vy = fvy - svy;
    return atan2l(vy, vx);
}

signed main(){
    int n;
    cin >> n;

    while(n--){
        ld sax, fax, say, fay; // start ax ...
        ld sbx, fbx, sby, fby; // start bx ...
        ld vx, vy;

        cin >> sax >> say >> fax >> fay >> sbx >> sby >> fbx >> fby >> vx >> vy;

        ld vang = phi(vx, vy);

        ld mina, maxa, minb, maxb;

        mina = phi(sbx, sby, sax, say);
        mina = min(mina, phi(fbx, fby, sax, say));
        mina = min(mina, phi(fbx, fby, fax, fay));
        mina = min(mina, phi(sbx, sby, fax, fay));

        maxa = phi(sbx, sby, sax, say);
        maxa = max(maxa, phi(fbx, fby, sax, say));
        maxa = max(maxa, phi(fbx, fby, fax, fay));
        maxa = max(maxa, phi(sbx, sby, fax, fay));

        if(mina-eps <= vang && vang <= maxa+eps)
            cout << "Yes\n";
        else
            cout << "No\n";
    }
}
