#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define ld long double
#define all(aaa) aaa.begin(), aaa.end()

pair<ll, ll> getMax(ll k) {
    for (ll i = 3; i <= 10001; i++) {
        ll cur = i * i * i;
        if (cur >= k)
            return {i, k};
        k -= cur;
    }
}

ll pw(ll a, int p) {
    ll r = 1;
    while (p > 0) {
        r = r * a;
        p--;
    }
    return r;
}

vector<ll> toVec(ll tmp, ll x) {
    vector<ll> cur;
    for (int i = 0; i < 3; i++) {
        cur.push_back(tmp % x);
        tmp /= x;
    }
    reverse(all(cur));
    for (ll &x : cur)
        x++;
    cur.push_back(x);
    return cur;
}

bool isless(ll a, ll b, ll c, ll n){
    if (a < b){
        swap(a, b);
    }
    if (c >= (a + b)){
        return 1;
    }
    if (c <= a){
        return 0;
    }
    ld x = 1;
    ld y = 1;
    for (int i = 0; i < n; i++){
        x *= (ld)c / (ld)b;
        y *= (ld)b / (ld)a;
        if (x - y > 3){
            return 1;
        }
    }
    if (x - y >= 1){
        return 1;
    }
    return 0;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);

#ifdef HOME
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif // HOME
    ll l, r;
    cin >> l >> r;

    auto p = getMax(l);

    ll len = r - l + 1;

    ll x = p.second - 1;

    vector<vector<ll>> v;

    while (len > 0) {
        ll ct = pw(p.first, 3);
        while (len > 0 && x < ct) {
            len--;
            v.push_back(toVec(x, p.first));
            x++;
        }
        x = 0;
        p.first++;
    }

    /*
     for (auto w : v) {
         for (ll x : w) {
            cout << x << " ";
         }
         cout << "\n";
     }
     */

    for (auto w : v) {
        char sign = isless(w[0], w[1], w[2], w[3]) ? '<' : '>';

//        char true_sign = '<';
//        if (pw(w[0], w[3]) + pw(w[1], w[3]) > pw(w[2], w[3]))
//            true_sign = '>';
//
//        if (sign != true_sign) {
//                cout << w[0] << "^" << w[3] << "+" << w[1] << "^" << w[3]
//            << sign << w[2] << "^" << w[3] << "\n";
//        }
        cout << w[0] << "^" << w[3] << "+" << w[1] << "^" << w[3]
            << sign << w[2] << "^" << w[3] << "\n";
    }

//    cout << 1000000000 * 2 - 1001 * 1001 * 1001 << "\n";

    return 0;
}
