class Vector:
    x: int = 0
    y: int = 0

    def __mul__(self, other: int):
        a = Vector()
        a.x = self.x * other
        a.y = self.y * other
        return a

    def __mod__(self, other):
        return self.x * other.y - self.y * other.x

    def __add__(self, other):
        a = Vector()
        a.x = self.x + other.x
        a.y = self.y + other.y
        return a

    def __sub__(self, other):
        a = Vector()
        a.x = -self.x + other.x
        a.y = -self.y + other.y
        return a


def inside(a: Vector, b: Vector, c: Vector, d: Vector):
    return abs((a - b) % (a - c)) == abs((a - d) % (a - c)) + abs((a - d) % (a - b)) + abs((b - d) % (b - c))

n = int(input())
for i in range(n):
    x1, y1, x2, y2, x3, y3, x4, y4, x, y = map(int, input().split())
    a1 = Vector()
    a1.x = x1
    a1.y = y1
    a2 = Vector()
    a2.x = x2
    a2.y = y2
    b1 = Vector()
    b1.x = x3
    b1.y = y3
    b2 = Vector()
    b2.x = x4
    b2.y = y4
    v = Vector()
    v.x = x
    v.y = y
    a3 = a1 + (v * 1e9)
    a4 = a2 + (v * 1e9)
    b3 = b1 + (v * -1e9)
    b4 = b2 + (v * -1e9)
    if (inside(a1, a2, a3, b1) or inside(a1, a2, a3, b2) or inside(a1, a2, a4, b1) or inside(a1, a2, a4, b2) or
            inside(b1, b2, b3, a1) or inside(b1, b2, b3, a2) or inside(b1, b2, b4, a1) or inside(b1, b2, b4, a2)):
        print("Yes\n")
    else:
        print("No\n")