#include <iostream>
#include <vector>
#include <algorithm>

typedef long long ll;

using namespace std;

string get(ll x, ll t)
{
    string ans;
    while (x > 0)
    {
        ans += char(x%10 + '0');
        x /= 10;
    }
    while (ans.size() < t)
        ans += '0';
    reverse(ans.begin(), ans.end());
    return ans;
}

ll toch(string s)
{
    ll ans = 0;
    for (int i = 0; i < s.size(); i++)
    {
        ans *= 10;
        ans += s[i] - '0';
    }
    return ans;
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll n;
    cin >> n;
    while (n--)
    {
        string s;
        cin >> s;
        if (s.find('.') != -1)
        {
            ll i = s.find('.');
            ll d = toch(s.substr(0, i));
            s.erase(0, i + 1);
            i = s.find('.');
            ll m = toch(s.substr(0, i));
            s.erase(0,  i + 1);
            ll y = toch(s);
            string rus = get(d, 2) + "." + get(m, 2) + "." + get(y, 4);
            cout << rus << " ";
            string en = get(m, 2) + "/" + get(d, 2) + "/" + get(y, 4);
            cout << en << "\n";
        } else
        {
            ll i = s.find('/');
            ll m = toch(s.substr(0, i));
            s.erase(0, i + 1);
            i = s.find('/');
            ll d = toch(s.substr(0, i));
            s.erase(0,  i + 1);
            ll y = toch(s);
            string rus = get(d, 2) + "." + get(m, 2) + "." + get(y, 4);
            cout << rus << " ";
            string en = get(m, 2) + "/" + get(d, 2) + "/" + get(y, 4);
            cout << en << "\n";
        }
    }
}