#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
using namespace std;
using namespace __gnu_pbds;

#define x first
#define y second
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
#define all(x) begin(x), end(x)
#define SZ(x) ((int) x.size())

const int MAX_LEN = 185;
const ll INF = 2e18;

ll dp[MAX_LEN][MAX_LEN][MAX_LEN][4];

char str[65];

void upd(int i, int j, int h, int k, ll v) {
    dp[i][j][h][k] += v;
    if (dp[i][j][h][k] > +INF)
        dp[i][j][h][k] = +INF;
}

ll get(int i, int j, int h) {
    return dp[i][j][h][0] + dp[i][j][h][1] + dp[i][j][h][2] + dp[i][j][h][3];
}

signed main() {
#ifdef LC
    freopen("input.txt", "r", stdin);
#endif // LC
    ios::sync_with_stdio(0);
    cin.tie(0);
    cin >> str;
    int n = strlen(str);
    dp[0][0][0][0] = 1;
    for (int i = 0; i < MAX_LEN - 1; ++i) {
        for (int j = 0; j <= n; ++j) {
            for (int h = 0; h <= i; ++h) {
                for (int k = 0; k < 2; ++k) {
                    ll v = dp[i][j][h][k];
                    if (j != n) {
                        if (str[n - j - 1] == '+' || !k)
                            upd(i + 1, j + 1, h, str[n - j - 1] == '-', v);
                    }
                    if (h != 0)
                        upd(i + 1, j, h - 1, 2, v);
                    if (h < MAX_LEN - 1)
                        upd(i + 1, j, h + 1, 3, v);
                }
            }
        }
    }
    int min_len = MAX_LEN;
    for (int len = MAX_LEN; len--; ) {
        if (get(len, n, 0))
            min_len = len;
    }
    ll k;
    cin >> k;
    --k;
    if (get(min_len, n, 0) <= k)
        return cout << "Overflow\n", 0;
    string ans = "";
    int ci = min_len, cj = n, ch = 0, cflag = 0;
    while (dp[ci][cj][ch][cflag] <= k)
        k -= dp[ci][cj][ch][cflag], ++cflag;
    while (ci) {
       ans += "+-{}"[cflag];
       if (cflag == 0) {
            ci = ci - 1, cj = cj - 1;
        } else if (cflag == 1) {
            ci = ci - 1, cj = cj - 1;
        } else if (cflag == 2) {
                ci = ci - 1, ch = ch + 1;
        } else if (cflag == 3) {
                ci = ci - 1, ch = ch - 1;
        }
        int oldc = cflag;
        while (dp[ci][cj][ch][cflag] <= k) {
            k -= dp[ci][cj][ch][cflag];
            ++cflag;
            if (cflag == 1 && oldc == 1)
                ++cflag;
        }
    }
    cout << ans << "\n";
    return 0;
}
