#define _CRT_SECURE_NO_WARNINGS
#include<iostream>
#include<cassert>
#include<vector>
#include<cstdlib>
#include<cmath>
#include<algorithm>
#include<cstring>

using namespace std;
#define int long long
#define double long double 
#define vi vector <int>
#define all(v) v.begin(), v.end()
#define forn(i, from, to) for (int i = (int)(from); i < (int)(to); ++i)
struct pt {
	double x, y;
	double cross(const pt& oth) const {
		return x * oth.y - y * oth.x;
	}
	double dot(const pt& oth) const {
		return x * oth.x + y * oth.y;
	}
	pt sub(const pt& oth) const {
		return { x - oth.x, y - oth.y };
	}
};

bool intersect(pt a, pt b, pt c, pt d) {
	pt x = b.sub(a);
	pt y = c.sub(a);
	pt z = d.sub(a);
	if (x.cross(z) == 0 || x.cross(y) == 0 || (x.cross(z) < 0) ^ (x.cross(y) < 0)) {
		x = d.sub(c);
		y = a.sub(c);
		z = b.sub(c);
		if (x.cross(z) == 0 || x.cross(y) == 0 || (x.cross(z) < 0) ^ (x.cross(y) < 0)) return 1;
		return 0;
	}
	return 0;
}

bool check(pt a, pt l, pt r, pt v) {
	pt kek = { a.x + v.x * 3e6, a.y + v.y * 3e6 };
	return intersect(a, kek, l, r);
}

vi suff;
vector <pair <int, int> > can;
vector<int> ans;
void getKth(int k, int i = 0, int cnt = 0) {
	if (i == suff.size() - 1) {
		return;
	}
	for (int j = 1; j <= can[i].first; j++) {
		if (cnt + suff[i + 1] < k) {
			cnt += suff[i + 1];
		}
		else {
			ans.push_back(j);
			getKth(k, i + 1, cnt);
			break;
		}
	}
}

signed main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
#endif
	string s;
	cin >> s;
	int k;
	cin >> k;
	int last = -1, lp = -1;
	for (int i = 0; i <= s.size(); ++i) {
		if (i == s.size()) {
			if (last != -1 && s.size() > 1 && s[s.size() - 2] == '-') {
				if (lp != -1)
					can.push_back({ last - lp + 3, i - 1 });
				else
					can.push_back({ 3, i - 1 });
				lp = -1;
				last = -1;
			}
		}
		if (s[i] == '+') {
			if (lp == -1)
				lp = i;
			last = -1;
		}
		else {
			if (s[i] == '-') {
				if (last == -1)
					last = i;
				else {
					if (lp != -1)
						can.push_back({ last - lp + 3, i - 1 });
					else
						can.push_back({ 3, i - 1 });
					lp = -1;
					last = -1;
				}
			}
		}
	}
	suff.resize(can.size(), 1);
	if (!can.empty())
		suff.back() = can.back().first;
	if (can.size() > 1) {
		for (int i = can.size() - 2; i >= 0; --i)
			suff[i] = suff[i + 1] * can[i].first;
	}
	suff.push_back(1);
	if (suff[0] < k) {
		cout << "Overflow";
		return 0;
	}
	getKth(k);
	int cc = 0;
	forn(i, 0, can.size()) {
		can[i].second += cc;
		if (ans[i] == 1) {
			string tmp1 = s.substr(0, can[i].second + 1);
			string tmp2 = "";
			if (can[i].second + 2 < s.size())
				tmp2 = s.substr(can[i].second + 2);
			s = tmp1 + "{" + s[can[i].second + 1] + "}" + tmp2;
		}
		else {
			ans[i]--;
			string tmp1 = s.substr(0, can[i].second - ans[i] + 2);
			string tmp2 = s.substr(can[i].second - ans[i] + 2, ans[i] - 1);
			string tmp3 = "";
			if(can[i].second + 1 < s.size())
				tmp3 = s.substr(can[i].second + 1);
			s = tmp1 + "{" + tmp2 + "}" + tmp3;
		}
		//cout << s << '\n';
		cc += 2;
	}
	/*for (auto ix : can)
		cout << ix.first << ' ' << ix.second << '\n';*/
	cout << s << '\n';
}