#define _CRT_SECURE_NO_WARNINGS
#include<iostream>
#include<cassert>
#include<vector>
#include<cstdlib>
#include<cmath>
#include<algorithm>
#include<cstring>

using namespace std;
#define int long long
#define double long double 
struct pt {
	double x, y;
	double cross(const pt& oth) const {
		return x * oth.y - y * oth.x;
	}
	double dot(const pt& oth) const {
		return x * oth.x + y * oth.y;
	}
	pt sub(const pt& oth) const {
		return { x - oth.x, y - oth.y };
	}
};

bool intersect(pt a, pt b, pt c, pt d) {
	pt x = b.sub(a);
	pt y = c.sub(a);
	pt z = d.sub(a);
	if (x.cross(z) == 0 || x.cross(y) == 0 || (x.cross(z) < 0) ^ (x.cross(y) < 0)) {
		x = d.sub(c);
		y = a.sub(c);
		z = b.sub(c);
		if (x.cross(z) == 0 || x.cross(y) == 0 || (x.cross(z) < 0) ^ (x.cross(y) < 0)) return 1;
		return 0;
	}
	return 0;
}

bool check(pt a, pt l, pt r, pt v) {
	pt kek = { a.x + v.x * 3e6, a.y + v.y * 3e6 };
	return intersect(a, kek, l, r);
}

signed main() {
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
#endif
	int c = 0;
	int a, b;
	cin >> a >> b;
	c = a;
	string as;
	int k = a;

	int pw = 1;
	while (k) {
		as.push_back(k % 10);
		k /= 10;
		pw *= 10;
	}
	vector<pair<char, int> > ans;
	int kek = 0;
	while (as.size()) {
		if (as.back() == 1) {
			ans.push_back({ '-', 1 });
			a -= pw / 10;
			as.pop_back();
			pw /= 10;
			continue;
		}
		if (a < 9) break;
		int x = (pw - a + 8) / 9;
		a += 9 * x;
		a -= pw;
		ans.push_back({ '+', x });
		ans.push_back({ '-', 1 });
		as = "";
		pw = 1;
		k = a;
		while (k) {
			as.push_back(k % 10);
			k /= 10;
			pw *= 10;
		}
		if (a < 9) break;
	}
	while (a % 9 != b % 9) {
		if (a == 0) {
			if (b % 9 == 0) break;
			ans.push_back({ '+', 1 });
			a = 9;
		}
		ans.push_back({ '+', 1 });
		ans.push_back({ '-', 1 });
		a--;

	}
	if(a != b)
		ans.push_back({ '+', (b - a) / 9 });
	cout << "Stable" << endl;
	cout << ans.size() << endl;
	for (auto a : ans) {
		if (a.first == '+') c += 9 * a.second;
		else {
			int k = c, pw = 1;
			while (k) {
				k /= 10;
				pw *= 10;
			}
			pw /= 10;
			c -= pw;
		}
		cout << a.first << ' ' << a.second << endl;
		//cout << c << endl;
	}
	assert(c == b);
	/*int t;
	cin >> t;
	for (int i = 0; i < t; i++) {
		pt al, ar, bl, br, v;
		cin >> al.x >> al.y >> ar.x >> ar.y >> bl.x >> bl.y >> br.x >> br.y >> v.x >> v.y;
		if (check(al, bl, br, v) || check(ar, bl, br, v)) cout << "Yes";
		else {
			pt vv = { -v.x, -v.y };
			if (check(bl, al, ar, vv) || check(br, al, ar, vv)) cout << "Yes";
			else cout << "No";
		}
		cout << endl;
	}*/
}