#include <bits/stdc++.h>

using namespace std;
int used[1000][1000];

string path(int x1, int y1, int x2, int y2) {
    int dx = x2 - x1;
    int dy = y2 - y1;
    string res_path;
    for (int i = 0; i < dx / 2; ++i) {
        used[x1 + i + 1][y1] = 0;
        res_path.push_back('D');
    }
    for (int i = 0; i < dy; ++i) {
        used[x1 + dx / 2][y1 + i + 1] = 0;
        res_path.push_back('R');
    }
    for (int i = 0; i < dx - (dx / 2); ++i) {
        used[x1 + dx / 2 + i + 1][y1 + dy] = 0;
        res_path.push_back('D');
    }

    return res_path;
}

signed main() {
    int m, n;
    cin >> m >> n;
    vector<int> res(m, -1);
    res[0] = 0;
    res[m - 1] = n - 1;
    for (int i = 0; i < m; ++i) {
        for (int j = 0; j < n; ++j) {
            used[i][j] = -1;
        }
    }
    used[0][0] = 1;
    used[m - 1][n - 1] = 1;
    for (int it = 0; it < 2; ++it) {
        string cur_path;
        int i = 0;
        int j = 0;
        while (j < m - 1) {
            i = j;
            j = i + 1;
            while (res[j] == -1) {
                j++;
            }
            cur_path += path(i, res[i], j, res[j]);
        }

        cout << "? " << cur_path << endl;
        int t;
        cin >> t;
        for (int k = 0; k < t; ++k) {
            int x, y;
            cin >> x >> y;
            x--;
            y--;
            used[x][y] = 1;
            if (res[x] == -1) {
                res[x] = y;
            }
        }
    }
    string ans;
    int x = 0;
    int y = 0;
    for (int i = 0; i < n + m - 2; ++i) {
        if (y == n - 1 || used[x + 1][y] == 1 || used[x][y + 1] == 0) {
            ans.push_back('D');
            x += 1;
        } else {
            y += 1;
            ans.push_back('R');
        }
    }
//    while (ans.size() < n + m - 2) {
//        ans.push_back('R');
//    }

    cout << "! " << ans << endl;
}
