#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <algorithm>
#include <string>
#include <math.h>
#include <vector> 
#include <set>

#define mp make_pair

using namespace std;

typedef long long ll;

const int N = 1e3 + 7;

set<pair<int, int>> tw;
set<pair<int, int>> lz, cz;

int n, m;

string heh() {
	string res = "";
	auto w = *cz.begin();
	for (auto er : cz) {
		if (er == *cz.begin()) continue;
		if (er.first == w.first) {
			res += 'R';
		}
		else res += 'D';
		w = er;
	}
	swap(lz, cz);
	cz.clear();
	return res;
}

void zap() {
	cout << "? " << heh() << endl;
	int q, a, b;
	cin >> q;
	while (q--) {
		cin >> a >> b;
		tw.insert(mp(a, b));
	}
}

int getd(int x, int y) {
	int mn = min(x, y);
	x -= mn; y -= mn;
	if (x > 0) {
		return n - x;
	}
	else return y + n;
}

pair<int, int> st(int d) {
	if (d <= n) return mp(n - d + 1, 1);
	else return mp(1, d - n + 1);
}

pair<int, int> kl(int d, int x) {
	auto q = st(d);
	int k = x - q.first;
	q.first += k;
	q.second += k;
	return q;
}

void ew(pair<int, int> a, pair <int, int >b) {
	while (a.second != b.second) {
		cz.insert(mp(a.first, a.second));
		a.second++;
	}
	while (a.first != b.first) {
		cz.insert(mp(a.first, a.second));
		a.first++;
	}
}

void dig(pair<int, int> l, pair<int, int> r, int d) {
	auto w = kl(d, l.second);
	if (w.first < l.first) {
		int del = l.first - w.first;
		w.first += del;
		w.second += del;
	}
	ew(l, w);
	while (w.first <= r.first - 1 && w.second <= r.second - 1) {
		cz.insert(w);
		w.first++;
		cz.insert(w);
		w.second++;
	}
	ew(w, r);
}

void solve() {
	auto w = *tw.begin();
	for (auto e : tw) {
		if (e == *tw.begin()) {
			continue;
		}
		cz.insert(e);
		if (e.first - w.first + e.second - w.second > 1) {
			if (lz.count(mp(e.first, e.second + 1)) == 1) {
				int dx = (e.second + w.second) / 2;
				int cur = getd(e.first, dx);
				dig(e, w, cur);
			}
			else {
				int dy = (e.first + w.first) / 2;
				int cur = getd(dy, e.second);
				dig(e, w, cur);
			}
		}
	}
}

int main() {
#ifdef _DEBUG
	//freopen("input.txt", "r", stdin);
	//freopen("output.txt", "w", stdout);
#else
	//ios_base::sync_with_stdio(false);
	//cin.tie(0);
#endif
	cin >> n >> m;
	tw.insert(mp(1, 1));
	tw.insert(mp(n, m));
	dig(mp(1, 1), mp(n, m), n + m / 2);
	zap();
	while (tw.size() < n + m - 2) {
		solve();
		zap();
	}
	cout << "! " << heh() << endl;
}