#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
#define int long long

using namespace std;

int pow(int v, int st) {
	int x = 1;
	for (int i = 0; i < st; ++i)
		x *= v;
	return x;
}

pair<int, int> get(int num) {
	int ws = 0;
	for (int mx = 3; mx <= 1003; ++mx)
	{
		int nw = pow(mx, 3) * (mx - 2) - pow(mx - 1, 3) * (mx - 3);
		if (nw + ws >= num)
			return { ws, mx };
		ws += nw;
		ws = max(ws, (int)0);
	}
}

int gett(int len, int mx, bool nd) {
	int val = pow(mx, len - 1) * (mx - 2);
	if (nd == 1)
		return val;
	val -= pow(mx - 1, len - 1) * (mx - 3);
	return val;
}

vector<int> rec(vector<int> ans, int num,  int len, int mx, int nd)
{
	/*
	if (ans.size() == 3) {
		ans.push_back(num + 2);
		return ans;
	}
	*/
	int st = 1;
	if (ans.size() == 3 && !nd) {
		ans.push_back(mx);
		return ans;
	}
	else if (ans.size() == 3) {
		ans.push_back(num + 2);
		return ans;
	}
	else if (ans.size() == 3)
		st = 3;
	for (int i = st; i < mx; ++i)
	{
		if (gett(len - 1, mx, nd) >= num)
		{
			ans.push_back(i);
			return rec(ans, num, len - 1, mx, nd);
		}
		num -= gett(len - 1, mx, nd);
	}
	ans.push_back(mx);
	return rec(ans, num, len - 1, mx, 1);
}

string getstr(int n) {
	string s;
	while (n)
	{
		s += char(n % 10 + '0');
		n /= 10;
	}
	reverse(s.begin(), s.end());
	return s;
}

string sum(string a, string b) {
	if (a.size() < b.size())
		swap(a, b);
	int nx = 0;
	for (int len = 0; len < a.size(); ++len) {
		a[len] += nx;
		a[len] += (len < b.size() ? b[len] - '0' : 0);
		if (a[len] > '9')
			nx = 1, a[len] -= 10;
	}
	if (nx == 1)
		a = "1" + a;
	return a;
}

string mul(string s, int num) {
	if (num == 0)
		return "1";
	string gt = mul(s, num / 2);
	gt = sum(gt, gt);
	if (num % 2)
		return sum(gt, s);
	return gt;
}

string poww(int s, int st) {
	if (st == 0)
		return "1";
	string gt = poww(s, st / 2);
	gt = mul(gt, 2);
	if (st % 2)
		return mul(gt, s);
	return gt;
}

int les(string a, string b) {
	if (a.size() < b.size())
		return 1;
	if (a.size() > b.size())
		return 0;
	for (int i = 0; i < a.size(); ++i)
		if (a[i] < b[i])
			return 1;
	return 0;
}

int gg(int x) {
	return pow(x, 3) * (x - 2) - pow(x - 1, 3) * (x - 3);
}

void solve(int num) {
	auto mm = get(num);
	int mx = mm.second;
	num -= mm.first;

	bool nd = false;
	int len = 4;
	vector<int> ans = rec({}, num, len, mx, 0);

	if (0) {
		cout << ans[0] << ' ' << ans[1] << ' ' << ans[2] << ' ' << ans[3] << '\n';
		return;
	}

	cout << ans[0] << "^" << ans[3] << "+" << ans[1] << "^" << ans[3];
	string f = sum(poww(ans[0], ans[3]), poww(ans[1], ans[3])),
		s = poww(ans[2], ans[3]);
	if (les(f, s))
		cout << '<';
	else
		cout << '>';
	cout << ans[2] << "^" << ans[3] << '\n';

}

signed main(){
	int l, r;
	cin >> l >> r;
	for (int i = l; i <= r; ++i)
		solve(i);
}