#include<bits/stdc++.h>
using namespace std;

#define x first
#define y second

#define all(a) (a).begin(), (a).end()
#define sz(a) (int) (a).size()

#define ld long double
#define int long long

struct Point {
    int x, y;

    Point() {}

    Point(int x, int y) : x(x), y(y) {}
};

struct Vector {
    int x, y;

    Vector() {}

    Vector(int x, int y) : x(x), y(y) {}
};

Vector operator - (const Point &p, const Point &q) {
    return {p.x - q.x, p.y - q.y};
}

int cross(Vector a, Vector b) {
    return a.x * b.y - a.y * b.x;
}

void solve() {
    Point a[2], b[2];
    Vector u;
    for (int i = 0; i < 2; i++) {
        cin >> a[i].x >> a[i].y;
    }
    for (int i = 0; i < 2; i++) {
        cin >> b[i].x >> b[i].y;
    }
    cin >> u.x >> u.y;
    for (int i = 0; i < 2; i++) {
        Vector v[2] = {b[1] - a[i], b[0] - a[i]};
       // cout << v[0].x << " " << v[0].y << " " << v[1].x << " " << v[1].y << '\n';
        if (cross(v[1], u) * cross(v[1], v[0]) >= 0 && cross(u, v[0]) * cross(v[1], v[0]) >= 0) {
            cout << "Yes\n";
            return;
        }
    }
    //exit(0);
    u.x *= -1;
    u.y *= -1;
    for (int i = 0; i < 2; i++) {
        swap(a[i], b[i]);
    }
    for (int i = 0; i < 2; i++) {
        Vector v[2] = {b[1] - a[i], b[0] - a[i]};
        if (cross(v[1], u) * cross(v[1], v[0]) >= 0 && cross(u, v[0]) * cross(v[1], v[0]) >= 0) {
            cout << "Yes\n";
            return;
        }
    }
    cout << "No\n";
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    while (n--) {
        solve();
    }
    return 0;
}
