#include <bits/stdc++.h>

#define fi first
#define se second
#define all(x) (x).begin(), (x).end()
#define re return
#define pb emplace_back
#define eb emplace_back

using namespace std;


typedef long long ll;

const double pi = acos(-1);

bool b[2002][2002];

struct rec {
    int x1, x2, y1, y2;
    rec(int a, int b, int c, int d) {
        x1 = a; y1 = b; x2 = c; y2 = d;
    }

    bool stripe() {
        if (x1 != x2 && y1 != y2)
            return false;
        if (x1 == x2) {
            for (int y = y1; y <= y2; y++)
                b[x1][y] = 1;
        } else {
            for (int x = x1; x <= x2; x++)
                b[x][y1] = 1;
        }
        return true;
    }
};

    pair <rec, rec> split(rec r0) {
        int y0 = (r0.y1 + r0.y2) / 2;
        int l, r;
        for (int x = r0.x1; x <= r0.x2; x++) {
            if (b[x][y0]) r = x;
        }
        for (int x = r0.x2; x >= r0.x1; x--) {
            if (b[x][y0]) l = x;
        }
        b[l][y0 - 1] = 1;
        b[r][y0 + 1] = 1;


        int c1, c2;
        for (int y = r0.y1; y <= y0; y++) {
            if (b[r0.x1][y])
                c1 = y;
            else
                break;
        }
        for (int y = r0.y2; y >= y0; y--) {
            if (b[r0.x2][y])
                c2 = y;
            else
                break;
        }

        if (c1 != y0)
            b[r0.x1 + 1][c1] = 1;
        if (c2 != y0)
            b[r0.x2 - 1][c2] = 1;

        rec r1 = rec(0, 0, 0, 0), r2 = rec(0, 0, 0, 0);
        if (r0.x1 == l) {
            r1 = rec(r0.x1, r0.y1, r0.x1, y0);
        } else {
            r1 = rec(r0.x1 + 1, c1, l, y0 - 1);
        }
        if (r0.x2 == r) {
            r2 = rec(r0.x2, y0 + 1, r0.x2, r0.y2);
        } else {
            r2 = rec(r, y0 + 1, r0.x2 - 1, c2);
        }


        return {r1, r2};
    }

void query(rec r0) {
    int y0 = (r0.y1 + r0.y2) / 2;
    for (int y = r0.y1; y < y0; y++)
        cout << "D";
    for (int x = r0.x1; x < r0.x2; x++)
        cout << "R";
    for (int y = y0; y < r0.y2; y++)
        cout << "D";
}

void to(int x, int y, rec r) {
    for (; x < r.x1; x++)
        cout << "R";
    for (; y < r.y1; y++)
        cout << "D";
}

int main()
{
    ios::sync_with_stdio(false);
    //cin.tie(0); cout.tie(0);

    int n, m; cin >> m >> n;
    vector <rec> v = {rec(1, 1, n, m)};
    vector <rec> u;
    int cnt = (min(n, m) > 1);
    while (cnt) {
        cout << "? ";
        int x = 1, y = 1;
        for (auto r : v) {
            to(x, y, r);
            query(r);
            x = r.x2; y = r.y2;
        }
        for (; x < n; x++)
            cout << "R";
        for (; y < m; y++)
            cout << "D";
        cout << endl;

        int t; cin >> t;
        for (int i = 0; i < t; i++) {
            int xq, yq;
            cin >> yq >> xq;
            b[xq][yq] = 1;
        }

        u.clear();
        for (auto r : v) {
            auto p = split(r);

            u.pb(p.fi);
            u.pb(p.se);
        }
        v = u;
        cnt = 0;

        for (rec r : v) {
            cnt += !r.stripe();
        }
        /*for (int i = 1; i <= m; i++) {
            for (int j = 1; j <= n; j++)
                cout << b[j][i];
            cout << endl;
        }*/
    }

    cout << "! ";
    int x = 1, y = 1;
    while (x + y != m + n) {
        if (b[x + 1][y]) {
            cout << "R";
            x++;
        } else if (b[x][y + 1]) {
            cout << "D";
            y++;
        }
    }
    cout << endl;
    return 0;
}
